Sync with portage [Sat Aug 25 13:31:01 MSK 2018].

mhiretskiy 1206
root 6 years ago
parent 7af288647c
commit 8cd39e40da

Binary file not shown.

Binary file not shown.

@ -1,2 +1,3 @@
DIST augeas-1.10.1.tar.gz 2289207 BLAKE2B 6e3cf750c4d3faf7dc472ec7bfe3c46f5babca294d2bd5169cca419c2f93e21bdd656bbc44b30ab66c00fb793df1aa045f60c1260963901773c334b9019eff0b SHA512 382e8ef6a5bd3d12d7d2e0d2987f39c04ff7df3f07cd68aa732bf266b89d5d59a85be63921a7ff70f9219dbc6bb8547f80528242caa9417e08a008d1721cb1d2
DIST augeas-1.11.0.tar.gz 2393675 BLAKE2B e7c50715fee892b47843f9be4ec9e88937c0ce10544b3e212d9c32a6151bbc36550d711ebec9db2a691e91cc6a2cd93696d807b440ab57a678ca6680426a4b03 SHA512 1b67bb7fcd9b560d3fe4a5c753d5e778db73caaab6e50367afd123eec107b65b73096913ac7d5170e85f5b63ff3522b2a6932b130e207ab22560dfc6e267b8a1
DIST augeas-1.8.1.tar.gz 2165325 BLAKE2B aa309984b5b11441fd2b10f3dc0b4a5f79a39038c1a71af6f7ef68b4fc24074db0bbcfd97341828211cc63d60d4b814515b119d0305367e9594cd5aa5159b822 SHA512 80be6dc75e86e2a00c56cb668824ffbe54105b64fad64a2737d980c8ee5ba347a97ddd190a1c712bd07a768ed23a8d07b0eb676033b367632036a8e7f98c976b

@ -0,0 +1,46 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools
DESCRIPTION="A library for changing configuration files"
HOMEPAGE="http://augeas.net/"
SRC_URI="http://download.augeas.net/${P}.tar.gz"
SLOT="0"
LICENSE="LGPL-2.1"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="static-libs test"
RDEPEND="
dev-libs/libxml2
sys-libs/readline:="
DEPEND="${RDEPEND}
virtual/pkgconfig
>=app-doc/NaturalDocs-1.40
test? ( dev-lang/ruby )"
PATCHES=(
)
src_prepare() {
if [ -f /usr/share/NaturalDocs/Config/Languages.txt ] ; then
addwrite /usr/share/NaturalDocs/Config/Languages.txt
fi
if [ -f /usr/share/NaturalDocs/Config/Topics.txt ] ; then
addwrite /usr/share/NaturalDocs/Config/Topics.txt
fi
default
}
src_configure() {
# Needs to implemented
local myeconfargs="--without-selinux
$(use_enable !static-libs shared)
$(use_enable static-libs static)"
eautoreconf
econf ${myeconfargs}
default
}

Binary file not shown.

@ -27,6 +27,7 @@ PATCHES=(
"${FILESDIR}"/${PN}-1.0.6-mingw.patch #393573
"${FILESDIR}"/${PN}-1.0.6-out-of-tree-build.patch
"${FILESDIR}"/${PN}-1.0.6-CVE-2016-3189.patch #620466
"${FILESDIR}"/${PN}-1.0.6-ubsan-error.patch
)
DOCS=( CHANGES README{,.COMPILATION.PROBLEMS,.XML.STUFF} manual.pdf )

@ -0,0 +1,24 @@
Author: Manoj Gupta <manojgupta@google.com>
Use unsigned 1 for shifting instead of signed 1.
This fixed an issue with shift caught by undefined behavior
sanitizer in clang.
bzip2-1.0.6/blocksort.c:255:7
runtime error: left shift of 1 by 31 places cannot be represented in type 'int'
--- a/blocksort.c
+++ b/blocksort.c
@@ -202,9 +202,9 @@ void fallbackQSort3 ( UInt32* fmap,
bhtab [ 0 .. 2+(nblock/32) ] destroyed
*/
-#define SET_BH(zz) bhtab[(zz) >> 5] |= (1 << ((zz) & 31))
-#define CLEAR_BH(zz) bhtab[(zz) >> 5] &= ~(1 << ((zz) & 31))
-#define ISSET_BH(zz) (bhtab[(zz) >> 5] & (1 << ((zz) & 31)))
+#define SET_BH(zz) bhtab[(zz) >> 5] |= (1u << ((zz) & 31))
+#define CLEAR_BH(zz) bhtab[(zz) >> 5] &= ~(1u << ((zz) & 31))
+#define ISSET_BH(zz) (bhtab[(zz) >> 5] & (1u << ((zz) & 31)))
#define WORD_BH(zz) bhtab[(zz) >> 5]
#define UNALIGNED_BH(zz) ((zz) & 0x01f)

Binary file not shown.

@ -1,2 +1 @@
DIST tpm-tools-1.3.9.1.tar.gz 482859 BLAKE2B ee915679e23bead04672bf719ce59bb6f20b550be39855b5304caeff554bf54d3cfe9104d464af7762388995e51d2bed0f9bedad83e42146cb7457382d09f4b2 SHA512 63a9c0e761cd890cc0a218de79a9c0169e151aba7824c19bf6b7ec894cf41c4950de1f63bd849aa93a4bdff36cf0fe557bc17113912b6d77f57f2bf1190b6a08
DIST tpm-tools-1.3.9.tar.gz 484023 BLAKE2B 5f9809a8dd4c565c647ceb394e6a6086cd42d256feb39599331b979f73150f60881ba9f25a3b0171173d66da8718f1475c6945b243b86c2261c4e8c489802803 SHA512 460e56031aa65ede6b7aebf0c594d4093d870fb46f7c453c429e53cca442d4c7797ac29b519bca28d42133bc6d7701cdf938adbdf11f8be841157d4f4a3e17ca

@ -1,55 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools flag-o-matic ltprune
DESCRIPTION="TrouSerS' support tools for the Trusted Platform Modules"
HOMEPAGE="http://trousers.sourceforge.net"
SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
LICENSE="CPL-1.0"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 ~m68k ~s390 ~sh x86"
IUSE="libressl nls pkcs11 debug"
COMMON_DEPEND="
>=app-crypt/trousers-0.3.0
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
pkcs11? ( dev-libs/opencryptoki )
"
RDEPEND="${COMMON_DEPEND}
nls? ( virtual/libintl )"
DEPEND="${COMMON_DEPEND}
nls? ( sys-devel/gettext )"
PATCHES=(
"${FILESDIR}/${P}-gold.patch"
)
S="${WORKDIR}"
src_prepare() {
default
sed -i -r \
-e '/CFLAGS/s/ -m64//' \
configure.ac || die
eautoreconf
}
src_configure() {
append-cppflags $(usex debug -DDEBUG -DNDEBUG)
econf \
$(use_enable nls) \
$(use pkcs11 || echo --disable-pkcs11-support)
}
src_install() {
default
prune_libtool_files
}

Binary file not shown.

@ -0,0 +1,2 @@
DIST containers-storage-0_pre20180730.tar.gz 1410155 BLAKE2B 24595693e9f5706130dd5e9bf38d11b2b267a64924cb854ad2d9db8c0a3d7c47fec5a00fa100be67ceaf35ea1a08fada7314d5fbe114fe7508f54e8bfc4f64b4 SHA512 25c5c3c16bb9f0da4e590cf658e56cc2ce1dbc81751f984b426b5e09a95ee816632b0267c8f3028254e88fcd39f5d087f0357862b34379180b33ff38d7028453
DIST github.com-pquerna-ffjson-af8b230fcd2007c7095168ca8ab94c68b60840c6.tar.gz 103474 BLAKE2B 66b456484cec51106e328a6d2c58a8597c1208956fca0c9f0ea45108b8d0942561882004a1ed5b90daa21509c9e0bc090dc9beed89b5a161f52ee8cf58e5d48f SHA512 243d8aed943dbadf3b127e07ad29a830ecded24aa80bb3bcc101db90ba8f3bfa03832e9d1f452e94b3eaccd683a044d0687a168e7e41979eb470442e689659c9

@ -0,0 +1,97 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EGO_VENDOR=(
"github.com/pquerna/ffjson af8b230fcd2007c7095168ca8ab94c68b60840c6"
)
inherit golang-vcs-snapshot
KEYWORDS="~amd64"
DESCRIPTION="containers/storage library"
HOMEPAGE="https://github.com/containers/storage"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="ostree test"
EGO_PN="${HOMEPAGE#*//}"
EGIT_COMMIT="17c7d1fee5603ccf6dd97edc14162fc1510e7e23"
SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz
${EGO_VENDOR_URI}"
RDEPEND="sys-fs/lvm2:=
ostree? (
dev-libs/glib:=
dev-util/ostree:=
)"
DEPEND="${RDEPEND}
dev-go/go-md2man
test? ( sys-apps/util-linux )"
RESTRICT="test? ( userpriv ) !test? ( test )"
src_unpack() {
golang-vcs-snapshot_src_unpack
}
src_prepare() {
default
[[ -f ${S}/src/${EGO_PN}/hack/ostree_tag.sh ]] || die
use ostree || { echo -e "#!/bin/sh\ntrue" > \
"${S}/src/${EGO_PN}/hack/ostree_tag.sh" || die; }
sed -e 's:TestChrootUntarPath(:_\0:' \
-i "${S}/src/${EGO_PN}/pkg/chrootarchive/archive_test.go" || die
sed -e 's:TestTarUntar(:_\0:' \
-e 's:TestTarWithOptionsChownOptsAlwaysOverridesIdPair(:_\0:' \
-e 's:TestTarWithOptions(:_\0:' \
-i "${S}/src/${EGO_PN}/pkg/archive/archive_test.go" || die
sed -e 's:TestTarUntarWithXattr(:_\0:' \
-e 's:TestTarWithBlockCharFifo(:_\0:' \
-i "${S}/src/${EGO_PN}/pkg/archive/archive_unix_test.go" || die
sed -e 's:TestTarUntarWithXattr(:_\0:' \
-i "${S}/src/${EGO_PN}/pkg/archive/archive_test.go" || die
sed -e 's:TestApplyLayer(:_\0:' \
-i "${S}/src/${EGO_PN}/pkg/archive/changes_test.go" || die
sed -e 's:TestApplyLayerInvalidFilenames(:_\0:' \
-e 's:TestApplyLayerInvalidHardlink(:_\0:' \
-e 's:TestApplyLayerInvalidSymlink(:_\0:' \
-e 's:TestApplyLayerWhiteouts(:_\0:' \
-i "${S}/src/${EGO_PN}/pkg/archive/diff_test.go" || die
sed -e 's:TestCopyCaseE(:_\0:' \
-e 's:TestCopyCaseEFSym(:_\0:' \
-e 's:TestCopyCaseG(:_\0:' \
-e 's:TestCopyCaseGFSym(:_\0:' \
-e 's:TestCopyCaseH(:_\0:' \
-e 's:TestCopyCaseHFSym(:_\0:' \
-e 's:TestCopyCaseJ(:_\0:' \
-e 's:TestCopyCaseEFSym(:_\0:' \
-e 's:TestCopyCaseG(:_\0:' \
-e 's:TestCopyCaseJFSym(:_\0:' \
-i "${S}/src/${EGO_PN}/pkg/archive/copy_unix_test.go" || die
sed -e 's:TestMount(:_\0:' \
-i "${S}/src/${EGO_PN}/pkg/mount/mounter_linux_test.go" || die
}
src_compile() {
mkdir -p "${S}/src/github.com/pquerna" || die
ln -s "${S}/src/${EGO_PN}/vendor/github.com/pquerna/ffjson" "${WORKDIR}/${P}/src/github.com/pquerna/ffjson" || die
mkdir -p "${S}/bin" || die
cd "${S}/bin" || die
GOPATH="${S}" GOBIN="${S}/bin" \
go build -v -work -x ${EGO_BUILD_FLAGS} "${S}/src/github.com/pquerna/ffjson/ffjson.go" || die
GOPATH="${S}" GOBIN="${S}/bin" PATH="${S}/bin:${PATH}" \
emake -C "${S}/src/${EGO_PN}" containers-storage docs
}
src_install() {
dobin "${S}/src/${EGO_PN}/${PN}"
while read -r -d ''; do
mv "${REPLY}" "${REPLY%.1}" || die
done < <(find "${S}/src/${EGO_PN}/docs" -name '*.[[:digit:]].1' -print0)
find "${S}/src/${EGO_PN}/docs" -name '*.[[:digit:]]' -exec doman '{}' + || die
}
src_test() {
GOPATH="${S}" unshare -m emake -C "${S}/src/${EGO_PN}" local-test-unit
}

@ -0,0 +1,16 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>zmedico@gentoo.org</email>
<name>Zac Medico</name>
</maintainer>
<use>
<flag name="ostree">
Enables dependencies for handling of OSTree images.
</flag>
</use>
<upstream>
<remote-id type="github">containers/storage</remote-id>
</upstream>
</pkgmetadata>

Binary file not shown.

@ -2,3 +2,4 @@ DIST honggfuzz-1.3.tar.gz 64461562 BLAKE2B b17271d147bab5d03ed056623760bca84d497
DIST honggfuzz-1.4.tar.gz 79323662 BLAKE2B 187f87b596f58efd07ad090a4ce5fee6eda84c2e60ebd6fabd4e2c31582eceb34866416ca2645ee16921ad25dd893deb9743b7a247c986a9e332ffbef51b30a0 SHA512 9eaf4cd9cdf9a9bff438b49f9bb2e217d796a072c083174a810a74f08ed02b520565e3cadcb405db86bbdc09588f11962090705a91f32258918628826eb355b7
DIST honggfuzz-1.5.tar.gz 79321550 BLAKE2B dbc45529c7144e8d9847580b80efdea27c3d5fd2c3bd3a740ddb754e7eb786de31e8ece68cc5c8cbe9373e70e7984379708f83f7ad858ae7bc5e9c1fc213a6c3 SHA512 41c84d37b00e713db4aa4c40e8b2c55afc886ec6bd0a2d66acdd6f6d5ca2f862b2cb0e8d53234f497dc1f3a90a26f1b08c2857cf6f30482c7086719d086ee97d
DIST honggfuzz-1.6.tar.gz 79322453 BLAKE2B 8f41833e2e808822436bcc68b8dd66d7a37e504c8ec7464d8d2936e1f60efe6bb4226c1f20105167b9f42a054e112acd922821da35807eb8361cb66775902325 SHA512 db4f0f31d36080db983068435be82b3e1132145e0bad5c4e8e6504563f10ce66df4f977fbd0a9f1cbcd262e479f635a68ab7c1df70d23e8437164734ea562c90
DIST honggfuzz-1.7.tar.gz 70077774 BLAKE2B 74aa85aecb2c1480bc75ef0af68ff893c25bee6d33b068b8fbbcd0d4f5cf9e6b4c09f95f7272a4071e323d35e62c135095d9413355df75d26a0f4a6312527b2a SHA512 d7d9cdba67fc7cabb6991850d725f13377614785b397acbeae6c5d64414ae826ac1c8c7fc0fb2ce83d1e5d2df64875a39df0160367d2d8e244b996d8de0d08d2

@ -0,0 +1,46 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit toolchain-funcs
DESCRIPTION="A general purpose fuzzer with feedback support"
HOMEPAGE="http://google.github.io/honggfuzz/"
SRC_URI="https://github.com/google/honggfuzz/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
RDEPEND="
sys-libs/binutils-libs:=
sys-libs/libunwind
"
DEPEND="${RDEPEND}"
DOCS=(
CHANGELOG
COPYING
CONTRIBUTING
README.md
)
src_prepare() {
default
if has_version ">=sys-libs/binutils-libs-2.29"; then
eapply "${FILESDIR}"/${PN}-1.1-binutils-2.29.patch
fi
}
src_compile() {
CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" emake
}
src_install() {
dobin ${PN}
einstalldocs
}

Binary file not shown.

@ -3,3 +3,4 @@ DIST hackport-0.5.2.tar.gz 1390418 BLAKE2B d9d90e86d16532a04fb387ba4d0aa3e53594d
DIST hackport-0.5.3.tar.gz 1390724 BLAKE2B 666a1bbb4f5eb4abf6a5546867bbfdaf2280bcd2967773b3b57c2933f44e7a367127cd4b56c6d0cf300c3ae30bd6a066e02dd976dc962ecaa39316d70cbe937b SHA512 785a1fb9762bdd10e86f47255d687a905eb122eb46e9470b7ea562cbe98d1be882b28923d5852f41ba2481c27321de9b2322fc83b5fa77037ba9251ea5f08dcc
DIST hackport-0.5.4.tar.gz 1390924 BLAKE2B 2fcc4ece84b813e130d860048328b7c4b704f1a37cffe15f26f24f8a9db8e7a267f083b1f8469f1d3e9753c07ad17dbbc209a2a8095770a7610fe73baf9965c1 SHA512 49593066608bf8d57678d1725c51da4f1f6213a06b1c5645d97e4a711704adc9a40c66ad4fd6a624572fc7491943874b5b48381bc02545a0e9b6d7a5619be073
DIST hackport-0.5.5.tar.gz 1618493 BLAKE2B 939f0ef89c7bbc4117d6222e8c8d813883a02d1277466477f3ff1910ebaba418969ff4e8c170a6dae8888394254790aeb69ecc69b36e01c9f341663938aa39b5 SHA512 b91fe72884ccc3a6acb79115ba8f8418250e13f102a07542e3d06db3880b572c73d2d4b5c05622eee83af3715f3a854d2cf7142ebb92627d8b332db4152d817d
DIST hackport-0.5.6.tar.gz 1639896 BLAKE2B 2c5892b3206b4cbb10f8dcbce1d043446b7b804ae0b5d1e59c49c733c80194e79c9091cfc933cbc7e7a592c0747ee034d56969d4261ad0a6a585259d5e8b4f76 SHA512 5dc20f11392757224a6cf79d525792e14aba64ffb44c9dd9b4f0df4acd9c00127d85f2b1f23cf2063f80895dbcc90ccc745e8f9aba3ef82f7ae8364db155fe4f

@ -0,0 +1,59 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
# ebuild generated by hackport 0.5.5.9999
CABAL_FEATURES="test-suite"
inherit haskell-cabal
DESCRIPTION="Hackage and Portage integration tool"
HOMEPAGE="http://hackage.haskell.org/package/hackport"
SRC_URI="mirror://hackage/packages/archive/${PN}/${PV}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RESTRICT=test # tests are broken: need path to ebuild tree
RDEPEND="
|| (
<sys-apps/portage-2.3.0
sys-apps/portage-mgorny
app-portage/repoman
)
dev-haskell/async:=
dev-haskell/base16-bytestring:=
dev-haskell/base64-bytestring:=
dev-haskell/cryptohash:=
dev-haskell/ed25519:=
dev-haskell/extensible-exceptions:=
dev-haskell/hashable:=
>=dev-haskell/http-4000.0.3:=
dev-haskell/missingh:=
dev-haskell/mtl:=
>=dev-haskell/network-2.6:=
>=dev-haskell/network-uri-2.6:=
dev-haskell/old-locale:=
dev-haskell/old-time:=
dev-haskell/parsec:=
dev-haskell/random:=
dev-haskell/regex-compat:=
dev-haskell/split:=
dev-haskell/stm:=
>=dev-haskell/tar-0.5:=
>=dev-haskell/xml-1.3.7:=
dev-haskell/zlib:=
>=dev-lang/ghc-7.8.2:=
"
DEPEND="${RDEPEND}
>=dev-haskell/cabal-1.18.1.3
test? ( dev-haskell/hunit )
"
src_install() {
haskell-cabal_src_install
doman man/hackport.1
}

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -20,7 +20,13 @@ IUSE=""
RESTRICT=test # tests are broken: need path to ebuild tree
RDEPEND="dev-haskell/async:=
RDEPEND="
|| (
<sys-apps/portage-2.3.0
sys-apps/portage-mgorny
app-portage/repoman
)
dev-haskell/async:=
dev-haskell/base16-bytestring:=
dev-haskell/base64-bytestring:=
dev-haskell/cryptohash:=

Binary file not shown.

@ -8,7 +8,7 @@ PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit eutils flag-o-matic linux-info multilib pam prefix python-single-r1 \
systemd user versionator
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos ~x86-solaris"
SLOT=$(get_major_version)

@ -8,7 +8,7 @@ PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit eutils flag-o-matic linux-info multilib pam prefix python-single-r1 \
systemd user versionator
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos ~x86-solaris"
SLOT="$(get_version_component_range 1-2)"

@ -8,7 +8,7 @@ PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit eutils flag-o-matic linux-info multilib pam prefix python-single-r1 \
systemd user versionator
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos ~x86-solaris"
SLOT="$(get_version_component_range 1-2)"

@ -8,7 +8,7 @@ PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit eutils flag-o-matic linux-info multilib pam prefix python-single-r1 \
systemd user versionator
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos ~x86-solaris"
SLOT="$(get_version_component_range 1-2)"

@ -8,7 +8,7 @@ PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit eutils flag-o-matic linux-info multilib pam prefix python-single-r1 \
systemd user versionator
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos ~x86-solaris"
SLOT="$(get_version_component_range 1-2)"

Binary file not shown.

@ -1 +1,2 @@
DIST fuzzy-0.0.3.tar.gz 1931876 BLAKE2B e00c19a8b63f96e2fad8c2614409d8173cca758ae591ead363676c2055fd9ec1d29a038454fcd57153e72f4b08ed78f341dcfef0376a199ba6203369d62651fa SHA512 6ca0c1c0ca57454d183d1eab3cc375dde8f504b1f4726176106953dace7a3d2e42aedf0b9dabb49d9fb8a70dc184c112da7f789c04b01da5e5dff2b9e1e1f398
DIST fuzzy-0.0.5.tar.gz 3352741 BLAKE2B df1239bbeae661519a1c0830eaa7000088bae737a46ea415fe9f8758dcb6977dae9eb7b8f661a678f7e588436a614f3edacd93e15741903514a6f9d8a6be1cc8 SHA512 39357e7adeb3e6fd1ec16c82f5b2a109c7a5218129d6c88486119aaed172c398f716d8fd83abf044c8833d6a06ee6a9114234f01e1f29d5974fe7b78ad9b84ea

@ -0,0 +1,26 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EGO_PN=github.com/sahilm/fuzzy
inherit golang-build golang-vcs-snapshot
DESCRIPTION="Go library that provides fuzzy string matching"
HOMEPAGE="https://github.com/sahilm/fuzzy"
SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0/${PVR}"
KEYWORDS="~amd64"
IUSE="test"
DEPEND="test? ( dev-go/godebug-pretty )"
src_install() {
golang-build_src_install
pushd "src/${EGO_PN}" >/dev/null || die
einstalldocs
popd >/dev/null || die
}

@ -1,5 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
</pkgmetadata>
<maintainer type="person">
<email>gentoo@culot.org</email>
<name>Frederic Culot</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

Binary file not shown.

@ -1,3 +1 @@
DIST injeqt-1.0.1.tar.gz 63748 BLAKE2B 409bc5df31f6cb98045fa871bf12d5092667810ed73d30477af4775caf02d97933c47ba9eaf20a4cc05e4594a38280cd9073904ec0094629915d217389e7f3a2 SHA512 b090c8d5c9fc6091ca55d8b2abe408f10c0c93209755d7fc548723cb5c7fc49e913d4e1360c822b74886df885e08b4d634c53082ce2d8da649e1cc79f6207dc8
DIST injeqt-1.1.0.tar.gz 74112 BLAKE2B b8fda39422458d9b140081fd2362de5be5d7d030ad3d5d0d69d9657b3ab6320b0f271af3cc38e33d602bb63cc4bc5f564cd84e229624b71653083d0d83f352ca SHA512 f14661c75fb875a9cba3de37252ef4048971a9f12e3482a2e3fe9df01aef842746d51a1cc19343f9b959b29f465c3ab15790608a04375d707073741448ee8443
DIST injeqt-1.2.0.tar.gz 73787 BLAKE2B 1b265c14a04dff8380297905f1b717c09baff6e24aedf473a36ff37be83d7e58b7ccae7df0eaf9690cee8c40d5646cb0af43a54427630db5595a9fa59d10e194 SHA512 4783f662af3b7711ef639695350bf136e84a218c8e2f0ddd8a44cb9790e1db5dcb69168fd46c21a82bd76eaebc01e5067e11be87823409d6ca032d2b95bfb880

@ -1,12 +0,0 @@
diff -ruN injeqt-1.0.0/CMakeLists.txt injeqt-my/CMakeLists.txt
--- injeqt-1.0.0/CMakeLists.txt 2015-01-25 00:09:26.000000000 +0100
+++ injeqt-my/CMakeLists.txt 2016-01-09 04:01:39.162295444 +0100
@@ -39,7 +39,7 @@
set (WARNINGS "-Werror -W -Wall -Wextra -Wundef -Wunused -Wuninitialized -Wcast-align -Wpointer-arith -Woverloaded-virtual -Wnon-virtual-dtor -fno-common")
set (VISIBILITY "-fvisibility=hidden -fvisibility-inlines-hidden")
-set (CMAKE_CXX_FLAGS "-std=c++11 ${WARNINGS} ${VISIBILITY}")
+set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 ${WARNINGS} ${VISIBILITY}")
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
set (CMAKE_CXX_FLAGS "-O0 ${CMAKE_CXX_FLAGS}")

@ -1,34 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit cmake-utils
DESCRIPTION="Dependency injection framework for Qt5"
HOMEPAGE="https://github.com/vogel/injeqt"
SRC_URI="https://github.com/vogel/injeqt/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="test"
RDEPEND="
>=dev-qt/qtcore-5.4.2:5
"
DEPEND="${RDEPEND}
test? ( >=dev-qt/qttest-5.4.2:5 )
"
PATCHES=(
"${FILESDIR}/${PN}-cmake-preserve-cxxflags.patch"
)
src_configure() {
local mycmakeargs=(
-DDISABLE_EXAMPLES=ON
$(cmake-utils_use_disable test TESTS)
)
cmake-utils_src_configure
}

@ -1,33 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils
DESCRIPTION="Dependency injection framework for Qt5"
HOMEPAGE="https://github.com/vogel/injeqt"
SRC_URI="https://github.com/vogel/injeqt/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RDEPEND="
>=dev-qt/qtcore-5.4.2:5
"
DEPEND="${RDEPEND}
test? ( >=dev-qt/qttest-5.4.2:5 )
"
# https://github.com/vogel/injeqt/issues/18
RESTRICT=test
src_configure() {
local mycmakeargs=(
-DDISABLE_EXAMPLES=ON
-DDISABLE_TESTS=$(usex !test)
)
cmake-utils_src_configure
}

@ -1,3 +1,2 @@
DIST libclc-0.2.0_pre20170929.tar.gz 138719 BLAKE2B 05a3d47626a5e1918f32510b1254f846c88c642f60920377dda73568d34656fecd53872ebc01114b2cc8b2161b196c89efe119bfd785875f723fcee4c1ce3662 SHA512 08f3a21fb1dc103a3b33980c420506fd142294b2d8b4a3eeb100ea55036fb87b9740a2489a0a9a5793d71ebb157e6f3ad7854d1916fc1fa472de72374cdeaea3
DIST libclc-0.2.0_pre20180319.tar.gz 161608 BLAKE2B b8e4f2d475c0425cbe5b41a5ba3b7b40d14c045f5c23d007e87cdfedc7a01a8317218e5f3b881e944256f04b9fb68a130bff2a137e51cb961b3d5bb7f2e2261d SHA512 5a4130eeb416f90901b66708adc17c825baa757d00d983a12e217f36503e4ed5d208f3a49cc26d7f9b71134ee3d258748153bf52cf7769bcbc06ec0510087a36
DIST libclc-0.2.0_pre20180610.tar.gz 170102 BLAKE2B 3f8c33a9961db34e68cebc328a88a71173000972b5540d099fa79fe89fd186b7f2f8791a86b45b1be135383d26a92fd4ccdc2827b5620b5f86f0b48467fc092f SHA512 0c75c3e7b81754c175c5c43614ad313cda2fa09a1865794c904675b8d2527f78ffa357178f7d4a471b52ac3d7d96b0184303439b69060df4bf482a01871fcb95

@ -1,71 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
EGIT_REPO_URI="http://llvm.org/git/${PN}.git
https://github.com/llvm-mirror/${PN}.git"
EGIT_COMMIT="0c31bd5e8d277bee26f34162c246a321f086ad55"
if [[ ${PV} = 9999* ]]; then
GIT_ECLASS="git-r3"
EXPERIMENTAL="true"
else
GIT_ECLASS="vcs-snapshot"
fi
inherit llvm prefix python-any-r1 toolchain-funcs ${GIT_ECLASS}
DESCRIPTION="OpenCL C library"
HOMEPAGE="http://libclc.llvm.org/"
if [[ ${PV} = 9999* ]]; then
SRC_URI="${SRC_PATCHES}"
else
SRC_URI="https://github.com/llvm-mirror/libclc/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz
${SRC_PATCHES}"
fi
LICENSE="|| ( MIT BSD )"
SLOT="0"
KEYWORDS="amd64 ~arm64 x86"
IUSE=""
RDEPEND="
|| (
sys-devel/clang:5
sys-devel/clang:4
>=sys-devel/clang-3.9:0
)"
DEPEND="${RDEPEND}
${PYTHON_DEPS}"
LLVM_MAX_SLOT=5
llvm_check_deps() {
has_version "sys-devel/clang:${LLVM_SLOT}"
}
src_prepare() {
default
if use prefix; then
hprefixify configure.py
fi
}
pkg_setup() {
# we do not need llvm_pkg_setup
python-any-r1_pkg_setup
}
src_configure() {
./configure.py \
--with-cxx-compiler="$(tc-getCXX)" \
--with-llvm-config="$(get_llvm_prefix "${LLVM_MAX_SLOT}")/bin/llvm-config" \
--prefix="${EPREFIX}/usr" || die
}
src_compile() {
emake VERBOSE=1
}

@ -11,7 +11,7 @@ SRC_URI="https://xcb.freedesktop.org/dist/${P}.tar.bz2"
LICENSE="MIT"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 ~arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
multilib_src_configure() {

@ -9,7 +9,7 @@ inherit perl-module
DESCRIPTION="Perl-only 'which'"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ppc ppc64 sparc x86"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ppc ppc64 sparc x86"
IUSE="test"
RDEPEND="

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Verify requirements in a CPAN::Meta object"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-fbsd ~x86-fbsd"
IUSE="test"
# CPAN::Meta::Prereqs -> perl-CPAN-Meta

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Determine the locale encoding"
SLOT="0"
KEYWORDS="alpha amd64 ~arm arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RDEPEND=">=virtual/perl-Encode-2.0.0"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Fast, generic event loop"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ia64 ppc ppc64 sparc x86 ~x86-solaris"
KEYWORDS="alpha amd64 arm ia64 ppc ppc64 sparc x86 ~x86-solaris"
IUSE="test"
DEPEND="

@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="An exporter with the features of Sub::Exporter but only core dependencies"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
IUSE="test"
RDEPEND=""

@ -8,7 +8,7 @@ inherit perl-module
DESCRIPTION="A wrapper for perl's configuration"
SLOT="0"
KEYWORDS="alpha amd64 ~arm hppa ia64 ppc ppc64 s390 sparc x86 ~amd64-fbsd"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sparc x86 ~amd64-fbsd"
IUSE="test"
RDEPEND="

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Easily build XS extensions that depend on XS extensions"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
IUSE="test"
RDEPEND="

@ -8,7 +8,7 @@ inherit perl-module
DESCRIPTION="Various portability utilities for module builders"
SLOT="0"
KEYWORDS="alpha amd64 ~arm hppa ia64 ppc ppc64 s390 sparc x86 ~amd64-fbsd"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sparc x86 ~amd64-fbsd"
IUSE="test"
RDEPEND="

@ -8,7 +8,7 @@ inherit perl-module
DESCRIPTION="Build.PL install path logic made easy"
SLOT="0"
KEYWORDS="alpha amd64 ~arm hppa ia64 ppc ppc64 s390 sparc x86 ~amd64-fbsd"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sparc x86 ~amd64-fbsd"
IUSE="test"
RDEPEND="

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Determine file type"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x86-macos ~sparc-solaris"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x86-macos ~sparc-solaris"
IUSE="test"
RDEPEND=">=dev-perl/File-BaseDir-0.30.0

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Perl module implementing 'which' internally"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 sparc x86 ~ppc-aix ~amd64-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 sparc x86 ~ppc-aix ~amd64-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="test +pwhich"
# Was part of File::Which, but depends on File::Which

@ -11,7 +11,7 @@ DESCRIPTION="Change directory temporarily for a limited scope"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="alpha amd64 ~arm hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd"
IUSE="test"
RDEPEND="

@ -11,7 +11,7 @@ DESCRIPTION="module for compiling and altering fonts"
LICENSE="Artistic-2"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd"
IUSE=""
RDEPEND="

@ -10,7 +10,7 @@ inherit perl-module multilib
DESCRIPTION="Look up country by IP Address"
SLOT="0"
KEYWORDS="alpha amd64 ~arm hppa ia64 ppc ppc64 s390 sparc x86 ~x86-fbsd"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sparc x86 ~x86-fbsd"
IUSE=""
DEPEND="dev-libs/geoip"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Getopt::Long with usage text"
SLOT="0"
KEYWORDS="amd64 ~arm ppc x86 ~ppc-aix ~ppc-macos ~x86-solaris"
KEYWORDS="amd64 arm ppc x86 ~ppc-aix ~ppc-macos ~x86-solaris"
IUSE="test minimal"
CONFLICTS="!<dev-perl/MooseX-Getopt-0.660.0"

Binary file not shown.

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Perl extension for merging IPv4 or IPv6 CIDR addresses"
SLOT="0"
KEYWORDS="alpha ~amd64 ~arm hppa ~ia64 ppc ppc64 s390 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
KEYWORDS="alpha ~amd64 arm hppa ~ia64 ppc ppc64 s390 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE="test"
RDEPEND=""

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="programmable DNS resolver class for offline emulation of DNS"
SLOT="0"
KEYWORDS="alpha ~amd64 ~arm hppa ~ia64 ppc ppc64 s390 sparc x86 ~x86-fbsd"
KEYWORDS="alpha ~amd64 arm hppa ~ia64 ppc ppc64 s390 sparc x86 ~x86-fbsd"
IUSE="test"
RDEPEND="

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="DNSSEC extensions to Net::DNS"
LICENSE="MIT"
SLOT="0"
KEYWORDS="alpha ~amd64 ~arm hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86"
KEYWORDS="alpha ~amd64 arm hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86"
IUSE="test"
RDEPEND="

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Low-level HTTP connection (client)"
SLOT="0"
KEYWORDS="alpha ~amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha ~amd64 arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="minimal test"
RDEPEND="

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="(Deprecated) SSL support for Net::SMTP"
SLOT="0"
KEYWORDS="alpha ~amd64 ~arm arm64 hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha ~amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RDEPEND="

@ -11,7 +11,7 @@ DESCRIPTION="Manipulation and operations on IP addresses"
SLOT="0"
LICENSE="|| ( Artistic GPL-2 )"
KEYWORDS="alpha ~amd64 ~arm hppa ~ia64 ppc ppc64 s390 ~sh sparc x86 ~x86-fbsd"
KEYWORDS="alpha ~amd64 arm hppa ~ia64 ppc ppc64 s390 ~sh sparc x86 ~x86-fbsd"
IUSE="ipv6 test"
RDEPEND="ipv6? ( dev-perl/Socket6 )"

@ -13,7 +13,7 @@ SRC_URI+=" http://perl-xml.sourceforge.net/xml-rpc/${DIST_NAME}-${DIST_VERSION}.
HOMEPAGE+=" http://perl-xml.sourceforge.net/xml-rpc/"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RDEPEND="

@ -13,7 +13,7 @@ HOMEPAGE="http://gtk2-perl.sf.net/ ${HOMEPAGE}"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
IUSE=""
RDEPEND="

Binary file not shown.

@ -26,6 +26,8 @@ DEPEND="
PATCHES=(
# From upstream, can be removed in next release.
"${FILESDIR}/${PN}-6.7-fix-tests.patch"
# From upstream, can be removed in next release.
"${FILESDIR}/${PN}-6.7-support-sphinx-1.7.patch"
)
pkg_setup() {

@ -0,0 +1,44 @@
From 2c7929511114494350e26d7b0c790fb8ca82f605 Mon Sep 17 00:00:00 2001
From: Daw-Ran Liou <dawran6@gmail.com>
Date: Mon, 14 May 2018 13:34:23 -0400
Subject: [PATCH] Support Sphinx 1.7+
Move: from sphinx.util.compat import Directive
To: from docutils.parsers.rst import Directive
---
docs/clickdoctools.py | 2 +-
setup.py | 5 +++++
2 files changed, 6 insertions(+), 1 deletion(-)
diff --git a/docs/clickdoctools.py b/docs/clickdoctools.py
index c3db195..1dd47d3 100644
--- a/docs/clickdoctools.py
+++ b/docs/clickdoctools.py
@@ -15,7 +15,7 @@ from docutils import nodes
from docutils.statemachine import ViewList
from sphinx.domains import Domain
-from sphinx.util.compat import Directive
+from docutils.parsers.rst import Directive
PY2 = sys.version_info[0] == 2
diff --git a/setup.py b/setup.py
index b78403e..f1bcdcf 100644
--- a/setup.py
+++ b/setup.py
@@ -24,6 +24,11 @@ setup(
maintainer_email='contact@palletsprojects.com',
long_description=readme,
packages=['click'],
+ extras_require={
+ 'docs': [
+ 'sphinx',
+ ],
+ },
description='A simple wrapper around optparse for '
'powerful command line utilities.',
license='BSD',
--
2.16.4

@ -24,17 +24,19 @@ RDEPEND="
dev-python/xlwt[${PYTHON_USEDEP}]
"
# Presence of pandas older than v0.23 makes tablib tests (which sometimes tries
# to load pandas dataframes) fail.
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
${RDEPEND}
dev-python/pytest[${PYTHON_USEDEP}]
!<dev-python/pandas-0.23
)
"
# Test require >=dev-python/pandas-0.23 which is difficult to stabilize. At the
# time of this writing, we had to stabilize tablib due to a security bug, which
# is why we temporarily RESTRICT tests. Bug #659790
RESTRICT="test"
PATCHES=(
# https://github.com/kennethreitz/tablib/issues/297
"${FILESDIR}/${PN}-0.12.1-no-ujson.patch"

Binary file not shown.

@ -2,4 +2,5 @@ DIST cri-2.10.1.gem 28672 BLAKE2B fe6f78ec193298605995e00242a4f615159192b66900c1
DIST cri-2.11.0.gem 29184 BLAKE2B cd6df24e9c50be519e8d8cba06c7f747dab98c758a70de1f3ff7c3570a3f62b1b7d7769347d0922cc39d9588dd1d061a71b02c0de47a4182184eec8072720ae8 SHA512 ceb87803fc90a394effd3ba445ccb44a2bfc3700e44910766144074ef82b019cd5ddaffad93ce7e7b3446f94735736a4e53f5916924a33460b96afd7aea427b7
DIST cri-2.12.0.gem 31232 BLAKE2B 742a86204e16280eb7fcb41dcecfdb4779e1676e4d2dde4d79055dc2f3db6e0dfd58b7e78e29e728e7d31fa59669f327e2c5a328b13ccd758012f1268b891d48 SHA512 a248815e5ecd3235a23ece390179ee8763fd99c47e559139c769442b68b4be61e8fee6a90adf64196722c22ff321db9bad84162c28dc149acddff9edfa5b4ab1
DIST cri-2.13.0.gem 31744 BLAKE2B fb1ba32f4413b5b0f63d105c0770e26c20252744c0db0405dd7528f1a3a3a588b20d2f34611d06f74c21374228954b9acd5991bd6e5574f84ede55ff8682c17c SHA512 a583129316c58fa90336f867f7a723478f64f0a755d0e6d4a34c829a0867e7b917203dddb5594f6fbed63993fd56e6a0da4bcae33013920b5b5aa85936047a27
DIST cri-2.14.0.gem 32768 BLAKE2B 08c0a2bcbde8d01187e310020e95eb3fb0f41596f1b305ba64c11174493a1dfb61a5bc35ed3121052694eae5dc9d17d333909892ab9ea17b8e065b353d8ab01a SHA512 dc79d69a01978c88aebb15d03317f46fd49930025af6a300cfc3440a4928cf27fcd025c3f25b79c108ee12638d9409c81da566bb458b5ded031546925ddd5e1b
DIST cri-2.7.1.gem 25088 BLAKE2B 20317d886401d6d5f034c27396cad2fdaf322246c319ef3cadc3e38169dbc00c83771fdb2d564efd0ca386b916a0bc2d8cf283742ccd18ca390e491a84f5e31f SHA512 37d641390dc83550c254b3c48018f7f2c53f73161807c299cb78ef84b8625e5f00cd8c877ac464ece5c6623d7118872c45648ed56c2bd5f53ae62cd66b8e24d1

@ -0,0 +1,34 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
USE_RUBY="ruby23 ruby24 ruby25"
RUBY_FAKEGEM_EXTRADOC="NEWS.md README.md"
RUBY_FAKEGEM_TASK_DOC="doc"
inherit ruby-fakegem
DESCRIPTION="Cri is a library for building easy-to-use commandline tools"
HOMEPAGE="https://rubygems.org/gems/cri"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86 ~x86-fbsd"
SLOT="0"
IUSE=""
ruby_add_rdepend ">=dev-ruby/colored-1.2"
ruby_add_bdepend "doc? ( dev-ruby/yard )
test? ( dev-ruby/yard dev-ruby/minitest )"
all_ruby_prepare() {
sed -e '/coveralls/I s:^:#:' -i test/helper.rb || die
sed -i -e '/rubocop/ s:^:#:' \
-e '/RuboCop/,/end/ s:^:#:' Rakefile || die
}
each_ruby_test() {
${RUBY} -Ilib -S rake test_unit || die
}

@ -17,7 +17,7 @@ HOMEPAGE="https://jnunemaker.github.com/httparty"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE=""
ruby_add_rdepend '>=dev-ruby/multi_xml-0.5.2'

@ -20,7 +20,7 @@ HOMEPAGE="https://www.rubydoc.info/gems/multi_xml"
SRC_URI="https://github.com/sferik/multi_xml/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
KEYWORDS="amd64 ~ppc ~ppc64 ~x86"
SLOT="0"
IUSE=""

@ -14,7 +14,7 @@ HOMEPAGE="http://www.ohler.com/ox/ https://github.com/ohler55/ox"
SRC_URI="https://github.com/ohler55/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
KEYWORDS="amd64 ~ppc ~ppc64 ~x86"
SLOT="0"
IUSE=""

@ -1,5 +1,3 @@
DIST webmock-1.24.6.gem 111104 BLAKE2B 6574d398579dcafe6100d948b0c70fc8a1ca813339e2edb02177dfa0ad11472444d8aeb48b235caa4f85fb4cf4fe746aa77c3b64732ec861ae0d626bda78b8d3 SHA512 9319dcb3c29189403c79870dc8f91f27e099627a9fe5136a98193ee387a6dbcdf72eecb57ec4080faca9575461dfbf4ddecaaf5e1c75cfa60b08732a1d7248cc
DIST webmock-2.3.2.gem 112128 BLAKE2B ef0a722374057d7c5392924f68de8520f08cb0aa038fc0b8511e00bbd9dc13f6535955f77611e414a33dbf0ed7a519e9c18caf8517d10be7438e7360c3037a1e SHA512 bb61b645b287d15690aa81db4d4c937d3456e1911d394ef1fb31e8ff3530d47b865aa039c8aaa4d4b6a72132dfcdd06be66adf1b53793384dc27ac1c9f9c01e6
DIST webmock-3.3.0.gem 114688 BLAKE2B 8306e96cfccbee598f275534effd119e75e3e1729b85936f29b4d4dc118f58c5ed39aa61553cb4c4a7389d704f57e55347d1f54f3cd392610a84683df993cd3b SHA512 589d96c21c1afd05e11f4adc6325d277bbc9a2d25f1ed6176a7b7db88cf94413f470b75fd245faa73ef0a9cb037f52751826b5047f77b41bd03ac72860277902
DIST webmock-3.4.0.gem 115712 BLAKE2B 85098da0f41f364ca4b329995d6ff6dc2a3a57eca898f030d6a8b316781a13bb1bdd4bfef8649391c80ea2c24a27ae6a05f13b9c725c30a0891c15e06f4b5041 SHA512 fb2472bf018f602436a49ed649302c39d888178a8023e3af0c7b35ae95aaff1c1d0b0d82671ac07bf7d71ee9ec0ab944567ac1640b06fb9505c262b0c3b90558
DIST webmock-3.4.1.gem 115712 BLAKE2B d2a1c9c6984bdc2b47ce67b20496128e387e10d67d54405649610b0062548bb3fb6422a87d867eebdec22add8242997f654d2c70fdbbf70b11e70451583cc610 SHA512 26cc9376a66730a73059c3a8d496f5d7dd82ac18e7a95172d965ef431c8edd1b4698acd76ba12051a5dc0df3399488920280b669c4ae1d28d3d6cc5e1f7dce0e

@ -1,60 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
USE_RUBY="ruby23 ruby24"
RUBY_FAKEGEM_TASK_TEST="test spec NO_CONNECTION=true"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
inherit ruby-fakegem
DESCRIPTION="Allows stubbing HTTP requests and setting expectations on HTTP requests"
HOMEPAGE="https://github.com/bblimke/webmock"
LICENSE="GPL-2"
SLOT="3"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_rdepend ">=dev-ruby/addressable-2.3.6 >=dev-ruby/crack-0.3.2 dev-ruby/hashdiff"
ruby_add_bdepend "test? (
dev-ruby/minitest:5
dev-ruby/rspec:3
>=dev-ruby/test-unit-3.0.0
dev-ruby/rack
>=dev-ruby/httpclient-2.8.0
>=dev-ruby/patron-0.4.18
|| ( dev-ruby/http:3 dev-ruby/http:2.0 ) )"
all_ruby_prepare() {
# Remove bundler support
rm Gemfile || die
sed -i -e '/[Bb]undler/d' Rakefile || die
sed -i -e '/simplecov/I s:^:#:' spec/spec_helper.rb || die
sed -i -e '1igem "test-unit"' test/test_helper.rb || die
# There is now optional support for curb and typhoeus which we don't
# have in Gentoo yet. em_http_request is available in Gentoo but its
# version is too old.
sed -i -e '/\(curb\|typhoeus\|em-http\)/d' spec/spec_helper.rb || die
rm spec/acceptance/{typhoeus,curb,excon,em_http_request}/* || die
# Avoid httpclient specs that require network access, most likely
# because mocking does not fully work.
sed -i -e '/httpclient streams response/,/^ end/ s:^:#:' \
-e '/are detected when manually specifying Authorization header/,/^ end/ s:^:#:' \
spec/acceptance/httpclient/httpclient_spec.rb
}
each_ruby_test() {
${RUBY} -S rake test NO_CONNECTION=true || die
${RUBY} -S rspec-3 spec || die
einfo "Delay to allow the test server to stop"
sleep 10
}

@ -1,60 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
USE_RUBY="ruby23 ruby24"
RUBY_FAKEGEM_TASK_TEST="test spec NO_CONNECTION=true"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
inherit ruby-fakegem
DESCRIPTION="Allows stubbing HTTP requests and setting expectations on HTTP requests"
HOMEPAGE="https://github.com/bblimke/webmock"
LICENSE="GPL-2"
SLOT="3"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_rdepend ">=dev-ruby/addressable-2.3.6 >=dev-ruby/crack-0.3.2 dev-ruby/hashdiff"
ruby_add_bdepend "test? (
dev-ruby/minitest:5
dev-ruby/rspec:3
>=dev-ruby/test-unit-3.0.0
dev-ruby/rack
>=dev-ruby/httpclient-2.8.0
>=dev-ruby/patron-0.4.18
|| ( dev-ruby/http:3 dev-ruby/http:2.0 ) )"
all_ruby_prepare() {
# Remove bundler support
rm Gemfile || die
sed -i -e '/[Bb]undler/d' Rakefile || die
sed -i -e '/simplecov/I s:^:#:' spec/spec_helper.rb || die
sed -i -e '1igem "test-unit"' test/test_helper.rb || die
# There is now optional support for curb and typhoeus which we don't
# have in Gentoo yet. em_http_request is available in Gentoo but its
# version is too old.
sed -i -e '/\(curb\|typhoeus\|em-http\)/d' spec/spec_helper.rb || die
rm spec/acceptance/{typhoeus,curb,excon,em_http_request}/* || die
# Avoid httpclient specs that require network access, most likely
# because mocking does not fully work.
sed -i -e '/httpclient streams response/,/^ end/ s:^:#:' \
-e '/are detected when manually specifying Authorization header/,/^ end/ s:^:#:' \
spec/acceptance/httpclient/httpclient_spec.rb
}
each_ruby_test() {
${RUBY} -S rake test NO_CONNECTION=true || die
${RUBY} -S rspec-3 spec || die
einfo "Delay to allow the test server to stop"
sleep 10
}

Binary file not shown.

@ -1,2 +1,3 @@
DIST android-studio-ide-173.4720617-linux.zip 894052929 BLAKE2B cc1ff03b24febf18e8ebd9a78ae0463e9552e20ee4c28e60e5e4f52379e66d6e5c6d91af1cd641b79c72590a081770a22882539612028915cd064834c8bc0ef3 SHA512 121d5eead42743127dfccf37b0b4bc4ceddc0df706bdddbc8c0ae2ec3711b4c8308d945b92ed5e8b3209d380e202dc08fbf8475ef6ad30016ca5cc9acb264d3e
DIST android-studio-ide-173.4819257-linux.zip 894877040 BLAKE2B 159d57c0c0d6d6958d1a08e7ff4ff0314c0cb2b15c5126dd3d357e1dc696d32dfee78ae6b2d35a628cbf000bc014d61c20ad48acce12c10356b0db8183c27318 SHA512 c399897bc85ce1399ac8ce1df4749d7f1bff4501cb90b13efbd61a56173ab1f6f9b0c7c1f852dceb7a76bc631d83ca4efab9b39c4d3c76e3b4454f4803611251
DIST android-studio-ide-173.4907809-linux.zip 897596053 BLAKE2B 6142cfc21d41a23d93ff064be457a28879ce80830bec79a38f6862d0f5b9de7b552d7175d7bf3e3ddfc70b10e0f7313e7ebcb7a3cdf16511c070551a27193775 SHA512 3fc01ffef5dd88dce088cc67fde03c62dadce7a700aace17ebd414ad0b1125b8370b5f132349424ff65ffc721ff383e6793737a0021826f08e35c893e33535be

@ -0,0 +1,112 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eutils java-pkg-2 eapi7-ver
RESTRICT="strip"
QA_PREBUILT="opt/${PN}/bin/libbreakgen*.so
opt/${PN}/bin/fsnotifier*
opt/${PN}/lib/libpty/linux/x86*/libpty.so
opt/${PN}/plugins/android/lib/libwebp_jni*.so
opt/${PN}/plugins/android/resources/perfa/*/libperfa.so
opt/${PN}/plugins/android/resources/perfd/*/perfd
opt/${PN}/plugins/android/resources/simpleperf/*/simpleperf"
VER_CMP=( $(ver_rs 1- ' ') )
if [[ ${#VER_CMP[@]} -eq 6 ]]; then
STUDIO_V=$(ver_cut 1-4)
BUILD_V=$(ver_cut 5-6)
else
STUDIO_V=$(ver_cut 1-3)
BUILD_V=$(ver_cut 4-5)
fi
DESCRIPTION="A new Android development environment based on IntelliJ IDEA"
HOMEPAGE="http://developer.android.com/sdk/installing/studio.html"
SRC_URI="https://dl.google.com/dl/android/studio/ide-zips/${STUDIO_V}/${PN}-ide-${BUILD_V}-linux.zip"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="selinux"
KEYWORDS="~amd64 ~x86"
DEPEND="app-arch/zip
dev-java/commons-logging:0
dev-java/log4j:0"
# dev-java/guava:18
RDEPEND=">=virtual/jdk-1.7
selinux? ( sec-policy/selinux-android )
>=app-arch/bzip2-1.0.6-r4
dev-java/commons-logging:0
dev-java/log4j:0
>=dev-libs/expat-2.1.0-r3
>=dev-libs/libffi-3.0.13-r1
>=media-libs/fontconfig-2.10.92
>=media-libs/freetype-2.5.5
>=media-libs/libpng-1.2.51
>=media-libs/mesa-10.2.8
|| ( gnome-extra/zenity kde-apps/kdialog x11-apps/xmessage x11-libs/libnotify )
>=sys-libs/ncurses-5.9-r3:5/5[tinfo]
>=sys-libs/zlib-1.2.8-r1
>=x11-libs/libX11-1.6.2
>=x11-libs/libXau-1.0.7-r1
>=x11-libs/libXdamage-1.1.4-r1
>=x11-libs/libXdmcp-1.1.1-r1
>=x11-libs/libXext-1.3.2
>=x11-libs/libXfixes-5.0.1
>=x11-libs/libXrender-0.9.8
>=x11-libs/libXxf86vm-1.1.3
>=x11-libs/libdrm-2.4.46
>=x11-libs/libxcb-1.9.1
>=x11-libs/libxshmfence-1.1"
S=${WORKDIR}/${PN}
PATCHES=( "${FILESDIR}/0001-use-java-home-before-bundled.patch" )
src_prepare() {
eapply "${PATCHES[@]}"
eapply_user
# This is really a bundled jdk not a jre
rm -rf "${S}/jre" || die "Could not remove bundled jdk"
# Replace bundled jars with system
# has problems with newer jdom:0 not updated to jdom:2
cd "${S}/lib" || die
local JARS="commons-logging log4j"
local j
for j in ${JARS}; do
rm -v ${j/:*/}*.jar || die
java-pkg_jar-from ${j}
done
cd "${S}" || die
# bug 629404
echo "-Djdk.util.zip.ensureTrailingSlash=false" >> bin/studio64.vmoptions || die
echo "-Djdk.util.zip.ensureTrailingSlash=false" >> bin/studio.vmoptions || die
}
src_compile() {
:
}
src_install() {
local dir="/opt/${PN}"
insinto "${dir}"
# Replaced bundled jre with system vm/jdk
# This is really a bundled jdk not a jre
doins -r *
rm -rf "${D}${dir}/jre" || die
dosym "../../etc/java-config-2/current-system-vm" "${dir}/jre"
fperms 755 "${dir}/bin/studio.sh" "${dir}"/bin/fsnotifier{,64}
chmod 755 "${D}${dir}"/gradle/gradle-*/bin/gradle || die
newicon "bin/studio.png" "${PN}.png"
make_wrapper ${PN} ${dir}/bin/studio.sh
make_desktop_entry ${PN} "Android Studio" ${PN} "Development;IDE" "StartupWMClass=jetbrains-studio"
}

Binary file not shown.

@ -34,6 +34,9 @@ setup-allowed-flags() {
# CPPFLAGS and LDFLAGS
'-[DUILR]*' '-Wl,*'
# Linker choice flag
'-fuse-ld'
)
# allow a bunch of flags that negate features / control ABI

Binary file not shown.

@ -1,36 +1,37 @@
Copyright (c) <1995-2010>, Intel Corporation.
Copyright (c) 2018 Intel Corporation.
All rights reserved.
Redistribution.
Redistribution and use in binary form, without modification, are
permitted provided that the following conditions are met:
Redistribution and use in binary form, without modification, are permitted,
provided that the following conditions are met:
* Redistributions must reproduce the above copyright notice and the
following disclaimer in the documentation and/or other materials
provided with the distribution.
1. Redistributions must reproduce the above copyright notice and the
following disclaimer in the documentation and/or other materials provided
with the distribution.
* Neither the name of Intel Corporation nor the names of its
suppliers may be used to endorse or promote products derived from
this software without specific prior written permission.
2. Neither the name of Intel Corporation nor the names of its suppliers may
be used to endorse or promote products derived from this software without
specific prior written permission.
* No reverse engineering, decompilation, or disassembly of this
software is permitted.
3. No reverse engineering, decompilation, or disassembly of this software
is permitted.
* "Binary form" includes any format commonly used for electronic
conveyance which is a reversible, bit-exact translation of binary
representation to ASCII or ISO text, for example, "uuencode."
"Binary form" includes any format that is commonly used for electronic
conveyance that is a reversible, bit-exact translation of binary
representation to ASCII or ISO text, for example "uuencode".
DISCLAIMER.
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.

@ -1,332 +0,0 @@
SOFTWARE LICENSE AGREEMENT
DO NOT DOWNLOAD, INSTALL, ACCESS, COPY, OR USE ANY PORTION OF THE SOFTWARE
UNTIL YOU HAVE READ AND ACCEPTED THE TERMS AND CONDITIONS OF THIS AGREEMENT. BY
INSTALLING, COPYING, ACCESSING, OR USING THE SOFTWARE, YOU AGREE TO BE LEGALLY
BOUND BY THE TERMS AND CONDITIONS OF THIS AGREEMENT. If You do not agree to be
bound by, or the entity for whose benefit You act has not authorized You to
accept, these terms and conditions, do not install, access, copy, or use the
Software and destroy all copies of the Software in Your possession.
This SOFTWARE LICENSE AGREEMENT (this "Agreement") is entered into between
Intel Corporation, a Delaware corporation ("Intel") and You. "You" refers to
you or your employer or other entity for whose benefit you act, as applicable.
If you are agreeing to the terms and conditions of this Agreement on behalf of
a company or other legal entity, you represent and warrant that you have the
legal authority to bind that legal entity to the Agreement, in which case,
"You" or "Your" shall be in reference to such entity. Intel and You are
referred to herein individually as a "Party" or, together, as the "Parties".
The Parties, in consideration of the mutual covenants contained in this
Agreement, and for other good and valuable consideration, the receipt and
sufficiency of which they acknowledge, and intending to be legally bound, agree
as follows:
1. PURPOSE. You seek to obtain, and Intel desires to provide You, under the
terms of this Agreement, Software solely for Your efforts to develop and
distribute products integrating Intel hardware and Intel software. "Software"
refers to certain software or other collateral, including, but not limited to,
related components, operating system, application program interfaces, device
drivers, associated media, printed or electronic documentation and any updates,
upgrades or releases thereto associated with Intel product(s), software or
service(s). "Intel-based product" refers to a device that includes,
incorporates, or implements Intel product(s), software or service(s).
2. LIMITED LICENSE. Conditioned on Your compliance with the terms and
conditions of this Agreement, Intel grants to You a limited, nonexclusive,
nontransferable, revocable, worldwide, fully paid-up license during the term of
this Agreement, without the right to sublicense, under Intel's copyrights
(subject to any third party licensing requirements), to (i) reproduce the
Software only for Your own internal evaluation, testing, validation, and
development of Intel-based products and any associated maintenance thereof;
(ii) reproduce, display, and publicly perform an object code representation of
the Software, only when integrated with and executed by an Intel-based product,
subject to any third party licensing requirements; and (iii) distribute an
object code representation of the Software, provided by Intel, through multiple
levels of distribution, solely as embedded in or for execution on an
Intel-based product and subject to these license terms, and if to an end user,
pursuant to a license agreement with terms and conditions at least as
restrictive as those contained in the Intel End User Software License Agreement
in Appendix A hereto.
If You are not the final manufacturer or vendor of an Intel-based product
incorporating or designed to incorporate the Software, You may transfer a copy
of the Software to Your Original Equipment Manufacturer (OEM), Original Device
Manufacturer (ODM), distributors, or system integration partners ("Your
Partner") for use in accordance with the terms and conditions of this
Agreement, provided Your Partner agrees to be fully bound by the terms hereof
and provided that You will remain fully liable to Intel for the actions and
inactions of Your Partner(s).
3. LICENSE RESTRICTIONS. All right, title and interest in and to the Software
and associated documentation are and will remain the exclusive property of
Intel and its licensors or suppliers. Unless expressly permitted under the
Agreement, You will not, and will not allow any third party to (i) use, copy,
distribute, sell or offer to sell the Software or associated documentation;
(ii) modify, adapt, enhance, disassemble, decompile, reverse engineer, change
or create derivative works from the Software except and only to the extent as
specifically required by mandatory applicable laws or any applicable third
party license terms accompanying the Software; (iii) use or make the Software
available for the use or benefit of third parties; or (iv) use the Software on
Your products other than those that include the Intel hardware product(s),
platform(s), or software identified in the Software; or (v) publish or provide
any Software benchmark or comparison test results. You acknowledge that an
essential basis of the bargain in this Agreement is that Intel grants You no
licenses or other rights including, but not limited to, patent, copyright,
trade secret, trademark, trade name, service mark or other intellectual
property licenses or rights with respect to the Software and associated
documentation, by implication, estoppel or otherwise, except for the licenses
expressly granted above. You acknowledge there are significant uses of the
Software in its original, unmodified and uncombined form. You may not remove
any copyright notices from the Software.
4. LICENSE TO FEEDBACK. This Agreement does not obligate You to provide Intel
with materials, information, comments, suggestions, or other communication
regarding the features, functions, performance or use of the Software
("Feedback"). If any portion of the Software is provided or otherwise made
available by Intel in source code form, to the extent You provide Intel with
Feedback in a tangible form, You grant to Intel and its affiliates a
non-exclusive, perpetual, sublicenseable, irrevocable, worldwide, royalty-free,
fully paid-up and transferable license, to and under all of Your intellectual
property rights, whether perfected or not, to publicly perform, publicly
display, reproduce, use, make, have made, sell, offer for sale, distribute,
import, create derivative works of and otherwise exploit any comments,
suggestions, descriptions, ideas, Your Derivatives or other feedback regarding
the Software provided by You or on Your behalf.
5. OPEN SOURCE STATEMENT. The Software may include Open Source Software (OSS)
licensed pursuant to OSS license agreement(s) identified in the OSS comments in
the applicable source code file(s) or file header(s) provided with or otherwise
associated with the Software. Neither You nor any OEM, ODM, customer, or
distributor may subject any proprietary portion of the Software to any OSS
license obligations including, without limitation, combining or distributing
the Software with OSS in a manner that subjects Intel, the Software or any
portion thereof to any OSS license obligation. Nothing in this Agreement limits
any rights under, or grants rights that supersede, the terms of any applicable
OSS license.
6. THIRD PARTY SOFTWARE. Certain third party software provided with or within
the Software may only be used (a) upon securing a license directly from the
owner of the software or (b) in combination with hardware components purchased
from such third party and (c) subject to further license limitations by the
software owner. A listing of any such third party limitations is in one or more
text files accompanying the Software. You acknowledge Intel is not providing
You with a license to such third party software and further that it is Your
responsibility to obtain appropriate licenses from such third parties directly.
7. CONFIDENTIALITY. The terms and conditions of this Agreement, exchanged
confidential information, as well as the Software are subject to the terms and
conditions of the Non-Disclosure Agreement(s) or Intel Pre-Release Loan
Agreement(s) (referred to herein collectively or individually as "NDA") entered
into by and in force between Intel and You, and in any case no less
confidentiality protection than You apply to Your information of similar
sensitivity. If You would like to have a contractor perform work on Your behalf
that requires any access to or use of Software, You must obtain a written
confidentiality agreement from the contractor which contains terms and
conditions with respect to access to or use of Software no less restrictive
than those set forth in this Agreement, excluding any distribution rights and
use for any other purpose, and You will remain fully liable to Intel for the
actions and inactions of those contractors. You may not use Intel's name in any
publications, advertisements, or other announcements without Intel's prior
written consent.
8. NO OBLIGATION; NO AGENCY. Intel may make changes to the Software, or items
referenced therein, at any time without notice. Intel is not obligated to
support, update, provide training for, or develop any further version of the
Software or to grant any license thereto. No agency, franchise, partnership,
joint-venture, or employee-employer relationship is intended or created by this
Agreement.
9. EXCLUSION OF WARRANTIES. THE SOFTWARE IS PROVIDED "AS IS" WITHOUT ANY
EXPRESS OR IMPLIED WARRANTY OF ANY KIND INCLUDING WARRANTIES OF
MERCHANTABILITY, NONINFRINGEMENT, OR FITNESS FOR A PARTICULAR PURPOSE. Intel
does not warrant or assume responsibility for the accuracy or completeness of
any information, text, graphics, links or other items within the Software.
10. LIMITATION OF LIABILITY. IN NO EVENT WILL INTEL OR ITS AFFILIATES,
LICENSORS OR SUPPLIERS (INCLUDING THEIR RESPECTIVE DIRECTORS, OFFICERS,
EMPLOYEES, AND AGENTS) BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT
LIMITATION, LOST PROFITS, BUSINESS INTERRUPTION, OR LOST DATA) ARISING OUT OF
OR IN RELATION TO THIS AGREEMENT, INCLUDING THE USE OF OR INABILITY TO USE THE
SOFTWARE, EVEN IF INTEL HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
SOME JURISDICTIONS PROHIBIT EXCLUSION OR LIMITATION OF LIABILITY FOR IMPLIED
WARRANTIES OR CONSEQUENTIAL OR INCIDENTAL DAMAGES, SO THE ABOVE LIMITATION MAY
IN PART NOT APPLY TO YOU. THE SOFTWARE LICENSED HEREUNDER IS NOT DESIGNED OR
INTENDED FOR USE IN ANY MEDICAL, LIFE SAVING OR LIFE SUSTAINING SYSTEMS,
TRANSPORTATION SYSTEMS, NUCLEAR SYSTEMS, OR FOR ANY OTHER MISSION CRITICAL
APPLICATION IN WHICH THE FAILURE OF THE SOFTWARE COULD LEAD TO PERSONAL INJURY
OR DEATH. YOU MAY ALSO HAVE OTHER LEGAL RIGHTS THAT VARY FROM JURISDICTION TO
JURISDICTION. THE LIMITED REMEDIES, WARRANTY DISCLAIMER AND LIMITED LIABILITY
ARE FUNDAMENTAL ELEMENTS OF THE BASIS OF THE BARGAIN BETWEEN INTEL AND YOU. YOU
ACKNOWLEDGE INTEL WOULD BE UNABLE TO PROVIDE THE SOFTWARE WITHOUT SUCH
LIMITATIONS. YOU WILL INDEMNIFY AND HOLD INTEL AND ITS AFFILIATES, LICENSORS
AND SUPPLIERS (INCLUDING THEIR RESPECTIVE DIRECTORS, OFFICERS, EMPLOYEES, AND
AGENTS) HARMLESS AGAINST ALL CLAIMS, LIABILITIES, LOSSES, COSTS, DAMAGES, AND
EXPENSES (INCLUDING REASONABLE ATTORNEY FEES), ARISING OUT OF, DIRECTLY OR
INDIRECTLY, THE DISTRIBUTION OF THE SOFTWARE AND ANY CLAIM OF PRODUCT
LIABILITY, PERSONAL INJURY OR DEATH ASSOCIATED WITH ANY UNINTENDED USE, EVEN IF
SUCH CLAIM ALLEGES THAT INTEL OR AN INTEL AFFILIATE, LICENSORS OR SUPPLIER WAS
NEGLIGENT REGARDING THE DESIGN OR MANUFACTURE OF THE SOFTWARE.
11. TERMINATION AND SURVIVAL. Intel may terminate this Agreement for any reason
with thirty (30) days' notice and immediately if You or someone acting on Your
behalf or at Your behest violates any of its terms or conditions. Upon
termination, You will immediately destroy and ensure the destruction of the
Software or return all copies of the Software to Intel (including providing
certification of such destruction or return back to Intel). Upon termination of
this Agreement, all licenses granted to You hereunder terminate immediately.
All Sections of this Agreement, except Section 2, will survive termination.
12. GOVERNING LAW AND JURISDICTION. This Agreement and any dispute arising out
of or relating to it will be governed by the laws of the U.S.A. and Delaware,
without regard to conflict of laws principles. The Parties exclude the
application of the United Nations Convention on Contracts for the International
Sale of Goods (1980). The state and federal courts sitting in Delaware, U.S.A.
will have exclusive jurisdiction over any dispute arising out of or relating to
this Agreement. The Parties consent to personal jurisdiction and venue in those
courts. A Party that obtains a judgment against the other Party in the courts
identified in this section may enforce that judgment in any court that has
jurisdiction over the Parties.
13. EXPORT REGULATIONS/EXPORT CONTROL. You agree that neither You nor Your
subsidiaries will export/re-export the Software, directly or indirectly, to any
country for which the U.S. Department of Commerce or any other agency or
department of the U.S. Government or the foreign government from where it is
shipping requires an export license, or other governmental approval, without
first obtaining any such required license or approval. In the event the
Software is exported from the U.S.A. or re-exported from a foreign destination
by You or Your subsidiary, You will ensure that the distribution and
export/re-export or import of the Software complies with all laws, regulations,
orders, or other restrictions of the U.S. Export Administration Regulations and
the appropriate foreign government.
14. GOVERNMENT RESTRICTED RIGHTS. The Software is a commercial item (as defined
in 48 C.F.R. 2.101) consisting of commercial computer software and commercial
computer software documentation (as those terms are used in 48 C.F.R. 12.212).
Consistent with 48 C.F.R. 12.212 and 48 C.F.R 227.7202-1 through 227.7202-4,
You will not provide the Software to the U.S. Government. Contractor or
Manufacturer is Intel Corporation, 2200 Mission College Blvd., Santa Clara, CA
95054.
15. ASSIGNMENT. You may not delegate, assign or transfer this Agreement, the
license(s) granted or any of Your rights or duties hereunder, expressly, by
implication, by operation of law, or otherwise and any attempt to do so,
without Intel's express prior written consent, will be null and void. Intel may
assign, delegate and transfer this Agreement, and its rights and obligations
hereunder, in its sole discretion.
16. ENTIRE AGREEMENT; SEVERABILITY. The terms and conditions of this Agreement
and any NDA with Intel constitute the entire agreement between the parties with
respect to the subject matter hereof, and merge and supersede all prior or
contemporaneous agreements, understandings, negotiations and discussions.
Neither Party will be bound by any terms, conditions, definitions, warranties,
understandings, or representations with respect to the subject matter hereof
other than as expressly provided herein. In the event any provision of this
Agreement is unenforceable or invalid under any applicable law or applicable
court decision, such unenforceability or invalidity will not render this
Agreement unenforceable or invalid as a whole, instead such provision will be
changed and interpreted so as to best accomplish the objectives of such
provision within legal limits.
17. WAIVER. The failure of a Party to require performance by the other Party of
any provision hereof will not affect the full right to require such performance
at any time thereafter; nor will waiver by a Party of a breach of any provision
hereof constitute a waiver of the provision itself.
18. PRIVACY. YOUR PRIVACY RIGHTS ARE SET FORTH IN INTEL'S PRIVACY NOTICE, WHICH
FORMS A PART OF THIS AGREEMENT. PLEASE REVIEW THE PRIVACY NOTICE AT
HTTP://WWW.INTEL.COM/PRIVACY TO LEARN HOW INTEL COLLECTS, USES AND SHARES
INFORMATION ABOUT YOU.
APPENDIX A
INTEL END USER SOFTWARE LICENSE AGREEMENT
IMPORTANT - READ BEFORE COPYING, INSTALLING OR USING.
THE FOLLOWING NOTICE, OR TERMS AND CONDITIONS SUBSTANTIALLY IDENTICAL IN NATURE
AND EFFECT, MUST APPEAR IN THE DOCUMENTATION ASSOCIATED WITH THE INTEL-BASED
PRODUCT INTO WHICH THE SOFTWARE IS INSTALLED. MINIMALLY, SUCH NOTICE MUST
APPEAR IN THE USER GUIDE FOR THE PRODUCT. THE TERM "LICENSEE" IN THIS TEXT
REFERS TO THE END USER OF THE PRODUCT.
LICENSE. Licensee has a license under Intel's copyrights to reproduce Intel's
Software only in its unmodified and binary form, (with the accompanying
documentation, the "Software") for Licensee's personal use only, and not
commercial use, in connection with Intel-based products for which the Software
has been provided, subject to the following conditions:
(a) Licensee may not disclose, distribute or transfer any part of the
Software, and You agree to prevent unauthorized copying of the Software.
(b) Licensee may not reverse engineer, decompile, or disassemble the
Software.
(c) Licensee may not sublicense the Software.
(d) The Software may contain the software and other intellectual property
of third party suppliers, some of which may be identified in, and licensed in
accordance with, an enclosed license.txt file or other text or file.
(e) Intel has no obligation to provide any support, technical assistance or
updates for the Software.
OWNERSHIP OF SOFTWARE AND COPYRIGHTS. Title to all copies of the Software
remains with Intel or its licensors or suppliers. The Software is copyrighted
and protected by the laws of the United States and other countries, and
international treaty provisions. Licensee may not remove any copyright notices
from the Software. Except as otherwise expressly provided above, Intel grants
no express or implied right under Intel patents, copyrights, trademarks, or
other intellectual property rights. Transfer of the license terminates
Licensee's right to use the Software.
DISCLAIMER OF WARRANTY. The Software is provided "AS IS" without warranty of
any kind, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, WARRANTIES
OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE.
LIMITATION OF LIABILITY. NEITHER INTEL NOR ITS LICENSORS OR SUPPLIERS WILL BE
LIABLE FOR ANY LOSS OF PROFITS, LOSS OF USE, INTERRUPTION OF BUSINESS, OR
INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY KIND WHETHER
UNDER THIS AGREEMENT OR OTHERWISE, EVEN IF INTEL HAS BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES.
LICENSE TO USE COMMENTS AND SUGGESTIONS. This Agreement does NOT obligate
Licensee to provide Intel with comments or suggestions regarding the Software.
However, if Licensee provides Intel with comments or suggestions for the
modification, correction, improvement or enhancement of (a) the Software or (b)
Intel products or processes that work with the Software, Licensee grants to
Intel a non-exclusive, worldwide, perpetual, irrevocable, transferable,
royalty-free license, with the right to sublicense, under Licensee's
intellectual property rights, to incorporate or otherwise utilize those
comments and suggestions.
TERMINATION OF THIS LICENSE. Intel or the sublicensor may terminate this
license at any time if Licensee is in breach of any of its terms or conditions.
Upon termination, Licensee will immediately destroy or return to Intel all
copies of the Software.
THIRD PARTY BENEFICIARY. Intel is an intended beneficiary of the End User
License Agreement and has the right to enforce all of its terms.
U.S. GOVERNMENT RESTRICTED RIGHTS. The Software is a commercial item (as
defined in 48 C.F.R. 2.101) consisting of commercial computer software and
commercial computer software documentation (as those terms are used in 48
C.F.R. 12.212), consistent with 48 C.F.R. 12.212 and 48 C.F.R 227.7202-1
through 227.7202-4. You will not provide the Software to the U.S. Government.
Contractor or Manufacturer is Intel Corporation, 2200 Mission College Blvd.,
Santa Clara, CA 95054.
EXPORT LAWS. Licensee agrees that neither Licensee nor Licensee's subsidiaries
will export/re-export the Software, directly or indirectly, to any country for
which the U.S. Department of Commerce or any other agency or department of the
U.S. Government or the foreign government from where it is shipping requires an
export license, or other governmental approval, without first obtaining any
such required license or approval. In the event the Software is exported from
the U.S.A. or re-exported from a foreign destination by Licensee, Licensee will
ensure that the distribution and export/re-export or import of the Software
complies with all laws, regulations, orders, or other restrictions of the U.S.
Export Administration Regulations and the appropriate foreign government.
APPLICABLE LAWS. This Agreement and any dispute arising out of or relating to
it will be governed by the laws of the U.S.A. and Delaware, without regard to
conflict of laws principles. The Parties to this Agreement exclude the
application of the United Nations Convention on Contracts for the International
Sale of Goods (1980). The state and federal courts sitting in Delaware, U.S.A.
will have exclusive jurisdiction over any dispute arising out of or relating to
this Agreement. The Parties consent to personal jurisdiction and venue in those
courts. A Party that obtains a judgment against the other Party in the courts
identified in this section may enforce that judgment in any court that has
jurisdiction over the Parties.
Licensee's specific rights may vary from country to country.

Binary file not shown.

@ -52,8 +52,8 @@ SRC_URI="${SRC_URI}
ASM_DEPEND=">=dev-lang/yasm-1.1"
CDEPEND="
>=dev-libs/nss-3.28.3
>=dev-libs/nspr-4.13.1
>=dev-libs/nss-3.36.4
>=dev-libs/nspr-4.19
"
DEPEND="rust? ( dev-lang/rust )

Binary file not shown.

@ -1,15 +0,0 @@
--- a/config/policy.xml
+++ b/config/policy.xml
@@ -52,6 +52,12 @@
<policy domain="coder" rights="read|write" pattern="{GIF,JPEG,PNG,WEBP}" />
-->
<policymap>
+ <!-- https://www.kb.cert.org/vuls/id/332928 mitigation -->
+ <policy domain="coder" rights="none" pattern="PS" />
+ <policy domain="coder" rights="none" pattern="EPS" />
+ <policy domain="coder" rights="none" pattern="PDF" />
+ <policy domain="coder" rights="none" pattern="XPS" />
+
<!-- <policy domain="system" name="shred" value="2"/> -->
<!-- <policy domain="system" name="precision" value="6"/> -->
<!-- <policy domain="system" name="memory-map" value="anonymous"/> -->

@ -0,0 +1,9 @@
<policymap>
<!-- https://www.kb.cert.org/vuls/id/332928 mitigation / https://bugs.gentoo.org/664236 -->
<policy domain="coder" rights="none" pattern="PS" />
<policy domain="coder" rights="none" pattern="PS2" />
<policy domain="coder" rights="none" pattern="PS3" />
<policy domain="coder" rights="none" pattern="EPS" />
<policy domain="coder" rights="none" pattern="PDF" />
<policy domain="coder" rights="none" pattern="XPS" />

@ -66,9 +66,19 @@ REQUIRED_USE="corefonts? ( truetype )
S="${WORKDIR}/${MY_P}"
PATCHES=( "${FILESDIR}"/policy-hardening.patch )
src_prepare() {
default
# Apply hardening #664236
cp "${FILESDIR}"/policy-hardening.snippet "${S}" || die
sed -i -e '/^<policymap>$/ {
r policy-hardening.snippet
d
}' \
config/policy.xml || \
die "Failed to apply hardening of policy.xml"
einfo "policy.xml hardened"
# Install default (unrestricted) policy in $HOME for test suite #664238
local _im_local_config_home="${HOME}/.config/ImageMagick"
mkdir -p "${_im_local_config_home}" || \
@ -76,12 +86,10 @@ src_prepare() {
cp "${FILESDIR}"/policy.test.xml "${_im_local_config_home}/policy.xml" || \
die "Failed to install default blank policy.xml in '${_im_local_config_home}'"
local mesa_cards ati_cards nvidia_cards render_cards
default
elibtoolize # for Darwin modules
# For testsuite, see https://bugs.gentoo.org/show_bug.cgi?id=500580#c3
local mesa_cards ati_cards nvidia_cards render_cards
shopt -s nullglob
ati_cards=$(echo -n /dev/ati/card* | sed 's/ /:/g')
if test -n "${ati_cards}"; then
@ -203,7 +211,7 @@ pkg_postinst() {
else
local v
for v in ${REPLACING_VERSIONS}; do
if ! ver_test "${v}" -gt "6.9.10.10-r1"; then
if ! ver_test "${v}" -gt "6.9.10.10-r2"; then
# This is an upgrade
_show_policy_xml_notice=yes
@ -218,6 +226,8 @@ pkg_postinst() {
elog "which will prevent the usage of the following coders by default:"
elog ""
elog " - PS"
elog " - PS2"
elog " - PS3"
elog " - EPS"
elog " - PDF"
elog " - XPS"

@ -5,8 +5,6 @@ EAPI="6"
inherit eapi7-ver eutils flag-o-matic libtool multilib toolchain-funcs
PATCHES=( "${FILESDIR}"/policy-hardening.patch )
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/ImageMagick/ImageMagick.git"
inherit git-r3
@ -16,7 +14,7 @@ else
SRC_URI="mirror://${PN}/${MY_P}.tar.xz"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
PATCHES+=( "${FILESDIR}"/${P}-quantum-private-compile-fix.patch ) #664226
PATCHES=( "${FILESDIR}"/${P}-quantum-private-compile-fix.patch ) #664226
fi
DESCRIPTION="A collection of tools and libraries for many image formats"
@ -77,6 +75,18 @@ REQUIRED_USE="corefonts? ( truetype )
S="${WORKDIR}/${MY_P}"
src_prepare() {
default
# Apply hardening #664236
cp "${FILESDIR}"/policy-hardening.snippet "${S}" || die
sed -i -e '/^<policymap>$/ {
r policy-hardening.snippet
d
}' \
config/policy.xml || \
die "Failed to apply hardening of policy.xml"
einfo "policy.xml hardened"
# Install default (unrestricted) policy in $HOME for test suite #664238
local _im_local_config_home="${HOME}/.config/ImageMagick"
mkdir -p "${_im_local_config_home}" || \
@ -84,12 +94,10 @@ src_prepare() {
cp "${FILESDIR}"/policy.test.xml "${_im_local_config_home}/policy.xml" || \
die "Failed to install default blank policy.xml in '${_im_local_config_home}'"
local ati_cards mesa_cards nvidia_cards render_cards
default
elibtoolize # for Darwin modules
# For testsuite, see https://bugs.gentoo.org/show_bug.cgi?id=500580#c3
local ati_cards mesa_cards nvidia_cards render_cards
shopt -s nullglob
ati_cards=$(echo -n /dev/ati/card* | sed 's/ /:/g')
if test -n "${ati_cards}"; then
@ -211,7 +219,7 @@ pkg_postinst() {
else
local v
for v in ${REPLACING_VERSIONS}; do
if ! ver_test "${v}" -gt "7.0.8.10-r1"; then
if ! ver_test "${v}" -gt "7.0.8.10-r2"; then
# This is an upgrade
_show_policy_xml_notice=yes
@ -226,6 +234,8 @@ pkg_postinst() {
elog "which will prevent the usage of the following coders by default:"
elog ""
elog " - PS"
elog " - PS2"
elog " - PS3"
elog " - EPS"
elog " - PDF"
elog " - XPS"

@ -5,8 +5,6 @@ EAPI="6"
inherit eapi7-ver eutils flag-o-matic libtool multilib toolchain-funcs
PATCHES=( "${FILESDIR}"/policy-hardening.patch )
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/ImageMagick/ImageMagick.git"
inherit git-r3
@ -75,6 +73,18 @@ REQUIRED_USE="corefonts? ( truetype )
S="${WORKDIR}/${MY_P}"
src_prepare() {
default
# Apply hardening #664236
cp "${FILESDIR}"/policy-hardening.snippet "${S}" || die
sed -i -e '/^<policymap>$/ {
r policy-hardening.snippet
d
}' \
config/policy.xml || \
die "Failed to apply hardening of policy.xml"
einfo "policy.xml hardened"
# Install default (unrestricted) policy in $HOME for test suite #664238
local _im_local_config_home="${HOME}/.config/ImageMagick"
mkdir -p "${_im_local_config_home}" || \
@ -82,12 +92,10 @@ src_prepare() {
cp "${FILESDIR}"/policy.test.xml "${_im_local_config_home}/policy.xml" || \
die "Failed to install default blank policy.xml in '${_im_local_config_home}'"
local ati_cards mesa_cards nvidia_cards render_cards
default
elibtoolize # for Darwin modules
# For testsuite, see https://bugs.gentoo.org/show_bug.cgi?id=500580#c3
local ati_cards mesa_cards nvidia_cards render_cards
shopt -s nullglob
ati_cards=$(echo -n /dev/ati/card* | sed 's/ /:/g')
if test -n "${ati_cards}"; then
@ -209,7 +217,7 @@ pkg_postinst() {
else
local v
for v in ${REPLACING_VERSIONS}; do
if ! ver_test "${v}" -gt "7.0.8.10-r1"; then
if ! ver_test "${v}" -gt "7.0.8.10-r2"; then
# This is an upgrade
_show_policy_xml_notice=yes
@ -224,6 +232,8 @@ pkg_postinst() {
elog "which will prevent the usage of the following coders by default:"
elog ""
elog " - PS"
elog " - PS2"
elog " - PS3"
elog " - EPS"
elog " - PDF"
elog " - XPS"

Binary file not shown.

@ -64,12 +64,13 @@ multilib_src_configure() {
multilib_src_install() {
V=1 emake install DESTDIR="${D}"
find "${D}" -name '*.la' -delete || die
}
multilib_src_install_all() {
if use doc; then
local HTML_DOCS=( "${S}"/doc/. )
rm "${S}"/doc/Makefile.{am,in} || die
fi
einstalldocs
find "${D}" -name '*.la' -delete || die
}

@ -1,5 +1,6 @@
DIST mesa-17.3.9.tar.xz 10660456 BLAKE2B 54f4a75f9040e50e9eea8f5c52a276578379d25d2a01ac4767ab12bee85fe5dae1492d5bb1df06b6e8c6b0fe960bbd5ea38691c75d08a6b4302c64377ce58e54 SHA512 83deffbc6b9823b8e93cccf57d7952106f3d55fea881e3924f9f9586f0e9347a6e3a1a36cc19c24af819f2fde3af9496652a6ff56132511a5618d5774404f63f
DIST mesa-18.0.5.tar.xz 10952996 BLAKE2B 708cdb2ef95a618430cd4e7eb45bcab0f6575774065b61f53787aa378385fe0dfa0b04f9c80c5426f9581851edc545a75c137777dc304ac8ba57465d365fcd50 SHA512 63b47cdca7f8282aab7aaa66233411f02918e5c4804b7a0010de2b1867fe90171e492ff031dfc4aa20968dfc99bd7dceb5d35fd44c709e54a2ece61175a60f3d
DIST mesa-18.1.6.tar.xz 11142884 BLAKE2B fdd156fe7debf5223285dfa238070a2bd7d8ec684dec168afab78b9d2d38d53c10d939aaa64f34c2910e542dce3869adfca6383fca6a854c6dd03287a044b0e3 SHA512 2966210800215f5ced2720691063a8519b51ebeab9fb1e99bde4b1bd7ccc719d6395a1c29f25c88efe62d1592cf14ceafc163aca349490b1f8cee81070d46fcc
DIST mesa-18.1.7.tar.xz 4833280 BLAKE2B 3c997ed40838a2dcce82b474f0120169e13eadc9db571492e200f10aabebff0867e3ff47bb9acb8c9ebbc594e996aab560be8f199bf96ef422e9e894861a6e2d SHA512 f5e2f39ba53886b61b2596c2caf4116063d1dd8b13318604f377eeebde1763e42ea9eb74fbe895494958fa9f4da323bd7279f72ef7e7d384d3e18287b74d8093
DIST mesa-18.2.0-rc3.tar.xz 11327960 BLAKE2B 7ce236d6a308904a8f76b2fda86af181ae4e422d637caffb45ffd5ce0ed427fdfbd107f44c52825bff173ec8aaf4e3a3dbae939167da9f6a1a719b7366914526 SHA512 175dbdffdcdf61c7ac0e4e1fae021daba80311fac02074ad6dea208971ab50c68bc43ba8d7b36ecf82b7081c051d301cb562f66785446973b88657d48f7bb663
DIST mesa-18.2.0-rc4.tar.xz 11320208 BLAKE2B bf99295f462ec8162bced6ff6d8496f3d2246ef85b5b6512f1b2d6c6ac63c04a2677b0e0368e857e0becd0ea08d96c53c557a4a103bbee8e169d3e1f80dd9092 SHA512 8aa5c75567c23228c80174c36f1cbc30bea79e5a5cf93804a9ca6c6142c428c55ea256b0a76d83493a52d60d4c4ace96ae81434f01fcdfc1971151bf3900f655

@ -0,0 +1,540 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EGIT_REPO_URI="https://gitlab.freedesktop.org/mesa/mesa.git"
if [[ ${PV} = 9999 ]]; then
GIT_ECLASS="git-r3"
EXPERIMENTAL="true"
fi
PYTHON_COMPAT=( python2_7 )
inherit autotools llvm multilib-minimal python-any-r1 pax-utils ${GIT_ECLASS}
OPENGL_DIR="xorg-x11"
MY_P="${P/_/-}"
DESCRIPTION="OpenGL-like graphic library for Linux"
HOMEPAGE="https://www.mesa3d.org/ https://mesa.freedesktop.org/"
if [[ $PV == 9999 ]]; then
SRC_URI=""
else
SRC_URI="https://mesa.freedesktop.org/archive/${MY_P}.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
fi
LICENSE="MIT"
SLOT="0"
RESTRICT="!bindist? ( bindist )"
RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
VIDEO_CARDS="${RADEON_CARDS} freedreno i915 i965 imx intel nouveau vc4 virgl vivante vmware"
for card in ${VIDEO_CARDS}; do
IUSE_VIDEO_CARDS+=" video_cards_${card}"
done
IUSE="${IUSE_VIDEO_CARDS}
bindist +classic d3d9 debug +dri3 +egl +gallium +gbm gles1 gles2 unwind
+llvm +nptl opencl osmesa pax_kernel openmax pic selinux vaapi valgrind
vdpau vulkan wayland xvmc xa"
REQUIRED_USE="
d3d9? ( dri3 gallium )
llvm? ( gallium )
opencl? ( gallium llvm || ( video_cards_r600 video_cards_radeonsi ) )
openmax? ( gallium )
gles1? ( egl )
gles2? ( egl )
vaapi? ( gallium )
vdpau? ( gallium )
vulkan? ( || ( video_cards_i965 video_cards_radeonsi )
video_cards_radeonsi? ( llvm ) )
wayland? ( egl gbm )
xa? ( gallium )
video_cards_freedreno? ( gallium )
video_cards_intel? ( classic )
video_cards_i915? ( || ( classic gallium ) )
video_cards_i965? ( classic )
video_cards_imx? ( gallium video_cards_vivante )
video_cards_nouveau? ( || ( classic gallium ) )
video_cards_radeon? ( || ( classic gallium )
gallium? ( x86? ( llvm ) amd64? ( llvm ) ) )
video_cards_r100? ( classic )
video_cards_r200? ( classic )
video_cards_r300? ( gallium x86? ( llvm ) amd64? ( llvm ) )
video_cards_r600? ( gallium )
video_cards_radeonsi? ( gallium llvm )
video_cards_vc4? ( gallium )
video_cards_virgl? ( gallium )
video_cards_vivante? ( gallium gbm )
video_cards_vmware? ( gallium )
"
LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.91"
RDEPEND="
!app-eselect/eselect-mesa
>=app-eselect/eselect-opengl-1.3.0
>=dev-libs/expat-2.1.0-r3:=[${MULTILIB_USEDEP}]
>=sys-libs/zlib-1.2.8[${MULTILIB_USEDEP}]
>=x11-libs/libX11-1.6.2:=[${MULTILIB_USEDEP}]
>=x11-libs/libxshmfence-1.1:=[${MULTILIB_USEDEP}]
>=x11-libs/libXdamage-1.1.4-r1:=[${MULTILIB_USEDEP}]
>=x11-libs/libXext-1.3.2:=[${MULTILIB_USEDEP}]
>=x11-libs/libXxf86vm-1.1.3:=[${MULTILIB_USEDEP}]
>=x11-libs/libxcb-1.13:=[${MULTILIB_USEDEP}]
x11-libs/libXfixes:=[${MULTILIB_USEDEP}]
unwind? ( sys-libs/libunwind[${MULTILIB_USEDEP}] )
llvm? (
video_cards_radeonsi? (
virtual/libelf:0=[${MULTILIB_USEDEP}]
)
video_cards_r600? (
virtual/libelf:0=[${MULTILIB_USEDEP}]
)
video_cards_radeon? (
virtual/libelf:0=[${MULTILIB_USEDEP}]
)
)
opencl? (
app-eselect/eselect-opencl
dev-libs/libclc
virtual/libelf:0=[${MULTILIB_USEDEP}]
)
openmax? (
>=media-libs/libomxil-bellagio-0.9.3:=[${MULTILIB_USEDEP}]
x11-misc/xdg-utils
)
vaapi? (
>=x11-libs/libva-1.7.3:=[${MULTILIB_USEDEP}]
video_cards_nouveau? ( !<=x11-libs/libva-vdpau-driver-0.7.4-r3 )
)
vdpau? ( >=x11-libs/libvdpau-1.1:=[${MULTILIB_USEDEP}] )
wayland? (
>=dev-libs/wayland-1.15.0:=[${MULTILIB_USEDEP}]
>=dev-libs/wayland-protocols-1.8
)
xvmc? ( >=x11-libs/libXvMC-1.0.8:=[${MULTILIB_USEDEP}] )
${LIBDRM_DEPSTRING}[video_cards_freedreno?,video_cards_nouveau?,video_cards_vc4?,video_cards_vivante?,video_cards_vmware?,${MULTILIB_USEDEP}]
video_cards_intel? (
!video_cards_i965? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
)
video_cards_i915? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
"
for card in ${RADEON_CARDS}; do
RDEPEND="${RDEPEND}
video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
"
done
RDEPEND="${RDEPEND}
video_cards_radeonsi? ( ${LIBDRM_DEPSTRING}[video_cards_amdgpu] )
"
# Please keep the LLVM dependency block separate. Since LLVM is slotted,
# we need to *really* make sure we're not pulling one than more slot
# simultaneously.
#
# How to use it:
# 1. List all the working slots (with min versions) in ||, newest first.
# 2. Update the := to specify *max* version, e.g. < 7.
# 3. Specify LLVM_MAX_SLOT, e.g. 6.
LLVM_MAX_SLOT="6"
LLVM_DEPSTR="
|| (
sys-devel/llvm:7[${MULTILIB_USEDEP}]
sys-devel/llvm:6[${MULTILIB_USEDEP}]
sys-devel/llvm:5[${MULTILIB_USEDEP}]
sys-devel/llvm:4[${MULTILIB_USEDEP}]
>=sys-devel/llvm-3.9.0:0[${MULTILIB_USEDEP}]
)
sys-devel/llvm:=[${MULTILIB_USEDEP}]
"
LLVM_DEPSTR_AMDGPU=${LLVM_DEPSTR//]/,llvm_targets_AMDGPU(-)]}
CLANG_DEPSTR=${LLVM_DEPSTR//llvm/clang}
CLANG_DEPSTR_AMDGPU=${CLANG_DEPSTR//]/,llvm_targets_AMDGPU(-)]}
RDEPEND="${RDEPEND}
llvm? (
opencl? (
video_cards_r600? (
${CLANG_DEPSTR_AMDGPU}
)
!video_cards_r600? (
video_cards_radeonsi? (
${CLANG_DEPSTR_AMDGPU}
)
)
!video_cards_r600? (
!video_cards_radeonsi? (
video_cards_radeon? (
${CLANG_DEPSTR_AMDGPU}
)
)
)
!video_cards_r600? (
!video_cards_radeon? (
!video_cards_radeonsi? (
${CLANG_DEPSTR}
)
)
)
)
!opencl? (
video_cards_r600? (
${LLVM_DEPSTR_AMDGPU}
)
!video_cards_r600? (
video_cards_radeonsi? (
${LLVM_DEPSTR_AMDGPU}
)
)
!video_cards_r600? (
!video_cards_radeonsi? (
video_cards_radeon? (
${LLVM_DEPSTR_AMDGPU}
)
)
)
!video_cards_r600? (
!video_cards_radeon? (
!video_cards_radeonsi? (
${LLVM_DEPSTR}
)
)
)
)
)
"
unset {LLVM,CLANG}_DEPSTR{,_AMDGPU}
DEPEND="${RDEPEND}
${PYTHON_DEPS}
opencl? (
>=sys-devel/gcc-4.6
)
sys-devel/gettext
virtual/pkgconfig
valgrind? ( dev-util/valgrind )
x11-base/xorg-proto
vulkan? (
$(python_gen_any_dep ">=dev-python/mako-0.7.3[\${PYTHON_USEDEP}]")
)
"
[[ ${PV} == 9999 ]] && DEPEND+="
sys-devel/bison
sys-devel/flex
$(python_gen_any_dep ">=dev-python/mako-0.7.3[\${PYTHON_USEDEP}]")
"
S="${WORKDIR}/${MY_P}"
EGIT_CHECKOUT_DIR=${S}
QA_WX_LOAD="
x86? (
!pic? (
usr/lib*/libglapi.so.0.0.0
usr/lib*/libGLESv1_CM.so.1.1.0
usr/lib*/libGLESv2.so.2.0.0
usr/lib*/libGL.so.1.2.0
usr/lib*/libOSMesa.so.8.0.0
)
)"
llvm_check_deps() {
local flags=${MULTILIB_USEDEP}
if use video_cards_r600 || use video_cards_radeon || use video_cards_radeonsi
then
flags+=",llvm_targets_AMDGPU(-)"
fi
if use opencl; then
has_version "sys-devel/clang[${flags}]" || return 1
fi
has_version "sys-devel/llvm[${flags}]"
}
pkg_setup() {
# warning message for bug 459306
if use llvm && has_version sys-devel/llvm[!debug=]; then
ewarn "Mismatch between debug USE flags in media-libs/mesa and sys-devel/llvm"
ewarn "detected! This can cause problems. For details, see bug 459306."
fi
if use llvm; then
llvm_pkg_setup
fi
python-any-r1_pkg_setup
}
src_prepare() {
eapply_user
[[ ${PV} == 9999 ]] && eautoreconf
}
multilib_src_configure() {
local myconf
if use classic; then
# Configurable DRI drivers
driver_enable swrast
# Intel code
driver_enable video_cards_i915 i915
driver_enable video_cards_i965 i965
if ! use video_cards_i915 && \
! use video_cards_i965; then
driver_enable video_cards_intel i915 i965
fi
# Nouveau code
driver_enable video_cards_nouveau nouveau
# ATI code
driver_enable video_cards_r100 radeon
driver_enable video_cards_r200 r200
if ! use video_cards_r100 && \
! use video_cards_r200; then
driver_enable video_cards_radeon radeon r200
fi
fi
if use egl; then
myconf+=" --with-platforms=x11,surfaceless$(use wayland && echo ",wayland")$(use gbm && echo ",drm")"
fi
if use gallium; then
myconf+="
$(use_enable d3d9 nine)
$(use_enable llvm)
$(use_enable openmax omx-bellagio)
$(use_enable vaapi va)
$(use_enable vdpau)
$(use_enable xa)
$(use_enable xvmc)
"
use vaapi && myconf+=" --with-va-libdir=/usr/$(get_libdir)/va/drivers"
gallium_enable swrast
gallium_enable video_cards_vc4 vc4
gallium_enable video_cards_vivante etnaviv
gallium_enable video_cards_vmware svga
gallium_enable video_cards_nouveau nouveau
gallium_enable video_cards_i915 i915
gallium_enable video_cards_imx imx
if ! use video_cards_i915 && \
! use video_cards_i965; then
gallium_enable video_cards_intel i915
fi
gallium_enable video_cards_r300 r300
gallium_enable video_cards_r600 r600
gallium_enable video_cards_radeonsi radeonsi
if ! use video_cards_r300 && \
! use video_cards_r600; then
gallium_enable video_cards_radeon r300 r600
fi
gallium_enable video_cards_freedreno freedreno
# opencl stuff
if use opencl; then
myconf+="
$(use_enable opencl)
--with-clang-libdir="${EPREFIX}/usr/lib"
"
fi
gallium_enable video_cards_virgl virgl
fi
if use vulkan; then
vulkan_enable video_cards_i965 intel
vulkan_enable video_cards_radeonsi radeon
fi
# x86 hardened pax_kernel needs glx-rts, bug 240956
if [[ ${ABI} == x86 ]]; then
myconf+=" $(use_enable pax_kernel glx-read-only-text)"
fi
# on abi_x86_32 hardened we need to have asm disable
if [[ ${ABI} == x86* ]] && use pic; then
myconf+=" --disable-asm"
fi
if use gallium; then
myconf+=" $(use_enable osmesa gallium-osmesa)"
else
myconf+=" $(use_enable osmesa)"
fi
# build fails with BSD indent, bug #428112
use userland_GNU || export INDENT=cat
ECONF_SOURCE="${S}" \
econf \
--enable-dri \
--enable-glx \
--enable-shared-glapi \
$(use_enable !bindist texture-float) \
$(use_enable d3d9 nine) \
$(use_enable debug) \
$(use_enable dri3) \
$(use_enable egl) \
$(use_enable gbm) \
$(use_enable gles1) \
$(use_enable gles2) \
$(use_enable nptl glx-tls) \
$(use_enable unwind libunwind) \
--enable-valgrind=$(usex valgrind auto no) \
--enable-llvm-shared-libs \
--disable-opencl-icd \
--with-dri-drivers=${DRI_DRIVERS} \
--with-gallium-drivers=${GALLIUM_DRIVERS} \
--with-vulkan-drivers=${VULKAN_DRIVERS} \
PYTHON2="${PYTHON}" \
${myconf}
}
multilib_src_install() {
emake install DESTDIR="${D}"
if use wayland; then
# These files are now provided by >=dev-libs/wayland-1.15.0
rm "${ED}/usr/$(get_libdir)/libwayland-egl.so" || die
rm "${ED}/usr/$(get_libdir)/libwayland-egl.so.1" || die
rm "${ED}/usr/$(get_libdir)/libwayland-egl.so.1.0.0" || die
rm "${ED}/usr/$(get_libdir)/pkgconfig/wayland-egl.pc" || die
fi
if use opencl; then
ebegin "Moving Gallium/Clover OpenCL implementation for dynamic switching"
local cl_dir="/usr/$(get_libdir)/OpenCL/vendors/mesa"
dodir ${cl_dir}/{lib,include}
if [ -f "${ED}/usr/$(get_libdir)/libOpenCL.so" ]; then
mv -f "${ED}"/usr/$(get_libdir)/libOpenCL.so* \
"${ED}"${cl_dir}
fi
if [ -f "${ED}/usr/include/CL/opencl.h" ]; then
mv -f "${ED}"/usr/include/CL \
"${ED}"${cl_dir}/include
fi
eend $?
fi
if use openmax; then
echo "XDG_DATA_DIRS=\"${EPREFIX}/usr/share/mesa/xdg\"" > "${T}/99mesaxdgomx"
doenvd "${T}"/99mesaxdgomx
keepdir /usr/share/mesa/xdg
fi
}
multilib_src_install_all() {
find "${ED}" -name '*.la' -delete
einstalldocs
if use !bindist; then
dodoc docs/patents.txt
fi
}
multilib_src_test() {
if use llvm; then
local llvm_tests='lp_test_arit lp_test_arit lp_test_blend lp_test_blend lp_test_conv lp_test_conv lp_test_format lp_test_format lp_test_printf lp_test_printf'
pushd src/gallium/drivers/llvmpipe >/dev/null || die
emake ${llvm_tests}
pax-mark m ${llvm_tests}
popd >/dev/null || die
fi
emake check
}
pkg_postinst() {
# Switch to the xorg implementation.
echo
eselect opengl set --use-old ${OPENGL_DIR}
# Switch to mesa opencl
if use opencl; then
eselect opencl set --use-old ${PN}
fi
# run omxregister-bellagio to make the OpenMAX drivers known system-wide
if use openmax; then
ebegin "Registering OpenMAX drivers"
BELLAGIO_SEARCH_PATH="${EPREFIX}/usr/$(get_libdir)/libomxil-bellagio0" \
OMX_BELLAGIO_REGISTRY=${EPREFIX}/usr/share/mesa/xdg/.omxregister \
omxregister-bellagio
eend $?
fi
# warn about patent encumbered texture-float
if use !bindist; then
elog "USE=\"bindist\" was not set. Potentially patent encumbered code was"
elog "enabled. Please see /usr/share/doc/${P}/patents.txt.bz2 for an"
elog "explanation."
fi
}
pkg_prerm() {
if use openmax; then
rm "${EPREFIX}"/usr/share/mesa/xdg/.omxregister
fi
}
# $1 - VIDEO_CARDS flag
# other args - names of DRI drivers to enable
# TODO: avoid code duplication for a more elegant implementation
driver_enable() {
case $# in
# for enabling unconditionally
1)
DRI_DRIVERS+=",$1"
;;
*)
if use $1; then
shift
for i in $@; do
DRI_DRIVERS+=",${i}"
done
fi
;;
esac
}
gallium_enable() {
case $# in
# for enabling unconditionally
1)
GALLIUM_DRIVERS+=",$1"
;;
*)
if use $1; then
shift
for i in $@; do
GALLIUM_DRIVERS+=",${i}"
done
fi
;;
esac
}
vulkan_enable() {
case $# in
# for enabling unconditionally
1)
VULKAN_DRIVERS+=",$1"
;;
*)
if use $1; then
shift
for i in $@; do
VULKAN_DRIVERS+=",${i}"
done
fi
;;
esac
}

Binary file not shown.

@ -5,6 +5,10 @@
<email>sound@gentoo.org</email>
<name>Gentoo Sound project</name>
</maintainer>
<maintainer type="person">
<email>zlogene@gentoo.org</email>
<name>Mikle Kolyada</name>
</maintainer>
<use>
<flag name="adplug">Enable the AdPlug decoder plugin</flag>
<flag name="cdio">Use libcdio for ISO9660 parsing support</flag>

@ -11,7 +11,7 @@ SRC_URI="http://www.wavpack.com/${P}.tar.bz2"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
IUSE="static-libs"
RDEPEND=">=virtual/libiconv-0-r1"

Binary file not shown.

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save